<?php
/**
 * The function php file contain all theme-based customisation and functions
 * including several hooks used within the theme
 *
 * @package    productive-ecommerce
 */

define( 'PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH', get_template_directory() );
define( 'PRODUCTIVE_ECOMMERCE_THEME_BASE_URI', get_template_directory_uri() );

require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/productiveminds-is-active.php';

define( 'PRODUCTIVE_ECOMMERCE_SITE_HOME_URL', home_url() );
define( 'PRODUCTIVE_ECOMMERCE_OPTION_EXTRAS_KEY', 'productive_ecommerce_extras_version' );

$productive_ecommerce_theme_version_obj = wp_get_theme();
$productive_ecommerce_theme_version = $productive_ecommerce_theme_version_obj->get( 'Version' );

$productiveminds_base_demo_url = 'https://demo.productiveminds.com';
$productiveminds_base_support_url = 'https://support.productiveminds.com';
$productiveminds_base_documentation_url = 'https://support.productiveminds.com/docs';

$theme_name = $productive_ecommerce_theme_version_obj->get( 'Name' );
$theme_url = $productive_ecommerce_theme_version_obj->get( 'ThemeURI' );
$author_url = $productive_ecommerce_theme_version_obj->get( 'AuthorURI' );
$theme_demo_url = $productiveminds_base_demo_url . '/' . $productive_ecommerce_theme_version_obj->get( 'TextDomain' );
$theme_support_url = $productiveminds_base_support_url;
$theme_documentation_url = $productiveminds_base_documentation_url . '/' . $productive_ecommerce_theme_version_obj->get( 'TextDomain' );
$theme_repo_url = 'https://wordpress.org/support/theme/' . $productive_ecommerce_theme_version_obj->get( 'TextDomain' ) . '/reviews';
$theme_demo_importer_plugin_url = 'https://wordpress.org/plugins/' . 'productive-demo-importer';

define( 'PRODUCTIVE_ECOMMERCE_ADMIN_PAGE_REQUEST_URI', 'productive_ecommerce_admin_options' );
define( 'PRODUCTIVE_ECOMMERCE_WOO_SIDEBAR_TEXT', 'is_woo_sidebar' );

define( 'PRODUCTIVE_ECOMMERCE_OPTION_TAB_1_TITLE', esc_html__( 'Theme Dashboard', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_OPTION_TAB_PRO_TITLE', esc_html__( 'Pro Version', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_OPTION_TAB_LICENSE_TITLE', esc_html__( 'License', 'productive-ecommerce' ) );

define( 'PRODUCTIVE_ECOMMERCE_PRODUCT_DOWNLOAD_TYPE', 'product-download' );
define( 'PRODUCTIVE_ECOMMERCE_THEME_DEVELOPER_NAME', 'productiveminds.com' );
define( 'PRODUCTIVE_ECOMMERCE_THEME_DEVELOPER_WEBSITE', $author_url );
define( 'PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME', $theme_name );
define( 'PRODUCTIVE_ECOMMERCE_CURRENT_THEME_TEXT_DOMAIN', $productive_ecommerce_theme_version_obj->get( 'TextDomain' ) );
define( 'PRODUCTIVE_ECOMMERCE_THEME_DEMO_URL', $theme_demo_url );

define( 'PRODUCTIVE_ECOMMERCE_THEME_SUPPORT_URL', $theme_support_url );
define( 'PRODUCTIVE_ECOMMERCE_THEME_DOCUMENTATION_URL', $theme_documentation_url );
define( 'PRODUCTIVE_ECOMMERCE_THEME_DEMO_IMPORTER_PLUGIN_URL', $theme_demo_importer_plugin_url );

define( 'PRODUCTIVE_ECOMMERCE_THEME_REVIEW_ON_REPO_URL', $theme_repo_url );

define( 'PRODUCTIVE_ECOMMERCE_THEME_FEATURES_OR_BUY_URL', $theme_url );
define( 'PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/hero-1.webp' );

define( 'PRODUCTIVE_ECOMMERCE_OPTION_MENU_TITLE', __( 'Theme Dashboard', 'productive-ecommerce' ) );

define( 'PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME_CUSTOMIZER_HOMEPAGE', esc_html__( 'Theme Homepage', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME_CUSTOMIZER_WOOCOMMERCE', esc_html__( 'Theme WooCommerce', 'productive-ecommerce' ) );

define( 'PRODUCTIVE_ECOMMERCE_RECOMMENDED_PLUGINS_PAGE_TITLE', __( 'Recommended Plugins For Best Experience With ', 'productive-ecommerce' ) . PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME );
define( 'PRODUCTIVE_ECOMMERCE_RECOMMENDED_PLUGINS_MENU_TITLE', __( 'Theme Plugins', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_TITLE', __( 'Productive Wishlist, Compare and Quick View for WooCommerce Plugin', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_TITLE', __( 'Productive Forms Plugin', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_TITLE', __( 'Productive Style Plugin', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_TITLE', __( 'Productive Demo Importer Plugin', 'productive-ecommerce' ) );

define( 'PRODUCTIVE_ECOMMERCE_THE_LOGO_WIDTH_DEFAULT', 160 );
define( 'PRODUCTIVE_ECOMMERCE_THE_LOGO_WIDTH_MIN', 60 );
define( 'PRODUCTIVE_ECOMMERCE_THE_LOGO_WIDTH_MAX', 300 );

define( 'PRODUCTIVE_ECOMMERCE_THE_BANNER_HEIGHT_DEFAULT', 400 );
define( 'PRODUCTIVE_ECOMMERCE_THE_BANNER_HEIGHT_MIN', 350 );
define( 'PRODUCTIVE_ECOMMERCE_THE_BANNER_HEIGHT_MAX', 1000 );

define( 'PRODUCTIVE_ECOMMERCE_THEME_CONTENT_MIN_WIDTH', 700 );
define( 'PRODUCTIVE_ECOMMERCE_THEME_CONTENT_MAX_WIDTH', 1400 );
define( 'PRODUCTIVE_ECOMMERCE_THEME_CONTENT_DEFAULT_WIDTH', 1200 );
define( 'PRODUCTIVE_ECOMMERCE_THEME_CONTENT_CUSTOMIZER_STEPS', 100 );

define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_ELEMENT_SLUG' , 'pro_element');
define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_ELEMENT_TAXONOMY_SLUG' , 'element-type');
define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_ELEMENT_TYPE_SLUG_HOMEPAGE_ELEMENT' , 'homepage-element');
define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_ELEMENT_TYPE_SLUG_SERVICE_ELEMENT' , 'service-element');

define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_SERVICE_SLUG' , 'pro_service');

$productive_ecommerce_posts_placeholder_image_remote = PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/posts-placeholder.webp';

// A global array for theme styles and settings
$global_style_setting = array();

// Ensure to include customiser before WooCommerce includes
require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/productive-theme-customiser.php';

/**
 * WooCommerce includes
 */
require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/woocommerce.php';


/**
 * Method productiveminds_theme_is_active.
 */
function productiveminds_theme_is_active() {}

/**
 * Method productive_ecommerce_body_open_action.
 *
 */
function productive_ecommerce_body_open_action() {
    echo '<a class="skip-link screen-reader-text" href="#site-content">' . __( 'Skip to content', 'productive-ecommerce' ) . '</a>';
}
add_action( 'productive_ecommerce_body_open', 'productive_ecommerce_body_open_action' );


/**
 * Register sidebar widgets
 */
function productive_ecommerce_promindsone_widgets() {
    
    register_sidebar(
        array(
            'name' => __('Top Callout and Announcement', 'productive-ecommerce'),
            'id' => 'header_callout',
            'before_widget' => '<div class="productive_ecommerce_widget_container_callout">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Homepage Hero (replaces Banner)', 'productive-ecommerce'),
            'id' => 'homepage_hero_widget',
            'before_widget' => '<div class="productiveminds_widget_container_home">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Homepage Content (above Blog)', 'productive-ecommerce'),
            'id' => 'homepage_content_widget_top',
            'before_widget' => '<div class="productiveminds_widget_container_home">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Homepage Content (below Blog)', 'productive-ecommerce'),
            'id' => 'homepage_content_widget_bottom',
            'before_widget' => '<div class="productiveminds_widget_container_home">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Left Sidebar', 'productive-ecommerce'),
            'id' => 'sidebar_left',
            'before_widget' => '<div class="productive_ecommerce_widget_container_sidebar">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Right Sidebar', 'productive-ecommerce'),
            'id' => 'sidebar_right',
            'before_widget' => '<div class="productive_ecommerce_widget_container_sidebar">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Footer (Left)', 'productive-ecommerce'),
            'id' => 'footer_left_info',
            'before_widget' => '<div class="productive_ecommerce_widget_container_sidebar">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Footer (Right)', 'productive-ecommerce'),
            'id' => 'footer_right_info',
            'before_widget' => '<div class="productive_ecommerce_widget_container_sidebar">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('WooCommerce Sidebar', 'productive-ecommerce'),
            'id' => 'sidebar-1',
            'before_widget' => '<div class="productive_ecommerce_widget_container_sidebar">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
}
add_action( 'widgets_init', 'productive_ecommerce_promindsone_widgets' );


/**
 * Method productive_ecommerce_body_open.
 *
 */
function productive_ecommerce_body_open() {
    do_action( 'productive_ecommerce_body_open' );
}

	/**
	 * Method productive_ecommerce_menu_navs.
	 */
function productive_ecommerce_menu_navs() {
	$theme_menus = array(
		'primary' => 'Primary (Header Menu)',
		'footer_menu' => 'Footer Menu',
	);
	register_nav_menus( $theme_menus );
}
	// hook for productive_ecommerce_menus.
	add_action( 'init', 'productive_ecommerce_menu_navs' );


/**
 * Method productive_ecommerce_get_placeholder_image.
 *
 * @return string
 */
function productive_ecommerce_get_placeholder_image() {
	global $productive_ecommerce_posts_placeholder_image_remote;
	$productive_ecommerce_posts_placeholder_url = '';
	$productive_ecommerce_posts_placeholder_image_id = productive_ecommerce_posts_placeholder_image();
	$productive_ecommerce_posts_placeholder_url = productive_ecommerce_get_attachment_by_thumbnail_id( $productive_ecommerce_posts_placeholder_image_id, 'full', 
	    $productive_ecommerce_posts_placeholder_image_remote );
	return $productive_ecommerce_posts_placeholder_url;
}

/**
 * Method productive_ecommerce_do_placeholder_image.
 */
function productive_ecommerce_do_placeholder_image() {
    global $productive_ecommerce_posts_placeholder_image_remote;
    $productive_ecommerce_posts_placeholder_url = '';
    $productive_ecommerce_posts_placeholder_image_id = productive_ecommerce_posts_placeholder_image();
    $productive_ecommerce_posts_placeholder_url = productive_ecommerce_get_attachment_by_thumbnail_id( $productive_ecommerce_posts_placeholder_image_id, 'full',
        $productive_ecommerce_posts_placeholder_image_remote );
	echo '<img src="' . esc_url( $productive_ecommerce_posts_placeholder_url ) . '" alt="" />';
}
add_action( 'display_placeholder_image', 'productive_ecommerce_do_placeholder_image' );


/**
 * Method productive_ecommerce_scripts.
 */
function productive_ecommerce_scripts() {
    
    global $productive_ecommerce_theme_version;
    
    // Per WP Theme team guide - See https://github.com/WPTT/webfont-loader
    require_once get_template_directory() . '/includes/wptt-webfont-loader.php';
    
    wp_enqueue_style( 'productive_ecommerce_normalize', get_template_directory_uri() . '/libraries/css/normalize.css', array(), $productive_ecommerce_theme_version );
    
    if ( !productive_ecommerce_is_productive_style_active() && !productive_ecommerce_is_productive_style_extra_active() ) {
        wp_enqueue_style('productive_ecommerce_googlefonts', wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,400&family=Roboto:wght@100;300;400;500;700;900&display=swap' ), array(), $productive_ecommerce_theme_version );
    }
    
    wp_enqueue_style( 'productive_font_awesome_style', get_template_directory_uri() . '/libraries/fonts/font-awesome-4.7.0/css/font-awesome.min.css', array(), $productive_ecommerce_theme_version );
    
    // theme's main css with normalise font as dependencies.
    wp_enqueue_style( 'productive_parent_theme_main_css_style', get_template_directory_uri() . '/style.css', array( 'productive_ecommerce_normalize' ), $productive_ecommerce_theme_version );
    wp_style_add_data( 'productive_parent_theme_main_css_style', 'rtl', 'replace' );
    
    // as per number of columns - load only after main css.
    if ( productive_ecommerce_is_woocommerce_activated() ) {
        $number_of_items_per_row = wc_get_default_products_per_row();
        if ( 2 == $number_of_items_per_row ) {
                wp_enqueue_style( 'product_archive_css', get_template_directory_uri() . '/assets/css/archive_2.css', array( 'productive_parent_theme_main_css_style' ), $productive_ecommerce_theme_version );
        } else if ( 3 == $number_of_items_per_row ) {
                wp_enqueue_style( 'product_archive_css', get_template_directory_uri() . '/assets/css/archive_3.css', array( 'productive_parent_theme_main_css_style' ), $productive_ecommerce_theme_version );
        } else if ( 4 == $number_of_items_per_row ) {
                wp_enqueue_style( 'product_archive_css', get_template_directory_uri() . '/assets/css/archive_4.css', array( 'productive_parent_theme_main_css_style' ), $productive_ecommerce_theme_version );
        } else if ( 5 == $number_of_items_per_row ) {
                wp_enqueue_style( 'product_archive_css', get_template_directory_uri() . '/assets/css/archive_5.css', array( 'productive_parent_theme_main_css_style' ), $productive_ecommerce_theme_version );
        } else if ( 6 == $number_of_items_per_row ) {
                wp_enqueue_style( 'product_archive_css', get_template_directory_uri() . '/assets/css/archive_6.css', array( 'productive_parent_theme_main_css_style' ), $productive_ecommerce_theme_version );
        } else if ( 7 == $number_of_items_per_row ) {
                wp_enqueue_style( 'product_archive_css', get_template_directory_uri() . '/assets/css/archive_7.css', array( 'productive_parent_theme_main_css_style' ), $productive_ecommerce_theme_version );
        }
    }
    
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
    // jquery.
    wp_enqueue_script( 'jquery' );
    
    // theme's main JS.
    wp_enqueue_script( 'productive_parent_theme_js_handle', get_template_directory_uri() . '/assets/js/theme.js', array(), $productive_ecommerce_theme_version, true );
    
    $admin_ajax_php_class = array(
        'nav_icon_right' => '<i class="fa fa-caret-right font-size-thirteen"></i>',
        'nav_icon_down' => '<i class="fa fa-caret-down font-size-thirteen"></i>',
        'text_submenu' => __( 'Sub Menu', 'productive-ecommerce' ),
    );
    wp_localize_script(
    'productive_parent_theme_js_handle',
    'productive_parent_theme_js_handle_name',
    $admin_ajax_php_class
    );
}
// Default Forms plugin     == 10
// Extra Forms plugin       == 20
// Parent                   == 40
add_action( 'wp_enqueue_scripts', 'productive_ecommerce_scripts', 40 );


/**
 * Load (wp_enqueue_script) admin css * JS files.
 */
function productive_ecommerce_admin_scripts() {
    
    global $productive_ecommerce_theme_version;
    
    $admin_ajax_php_class = array(
        'ajax_admin_url' => admin_url( 'admin-ajax.php' ),
    );
    
    wp_enqueue_style( 'productive_ecommerce_admin_css', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/admin/css/admin-style.css', array(), $productive_ecommerce_theme_version );
    wp_enqueue_script( 'productive_ecommerce_admin_js_handle', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/admin/js/admin-theme-ajax.js', array(), $productive_ecommerce_theme_version, true );
    
    wp_localize_script(
    'productive_ecommerce_admin_js_handle',
    'productive_ecommerce_admin_js_url_name',
    $admin_ajax_php_class
    );
    
}
// hook for productive_ecommerce_admin_scripts.
add_action( 'admin_enqueue_scripts', 'productive_ecommerce_admin_scripts' );


/**
 * Method enable featured image.
 */
function productive_ecommerce_setup_theme() {
    
    add_theme_support('post-thumbnails');
    add_theme_support('wp-block-styles');
    add_theme_support('responsive-embeds');
    add_theme_support('custom-logo');
    add_theme_support('align-wide');
    add_theme_support('title-tag');
    add_theme_support('automatic-feed-links');
    
    $args = array(
        'style',
        'gallery',
        'caption',
        'script',
        'search-form',
        'comment-form',
        'comment-list',
        'navigation-widgets',
    );
    add_theme_support( 'html5', $args );
    
    /*
    * @link https://codex.wordpress.org/Theme_Logo
    */
    $logo_width  = 125;
    $logo_height = 48;
    add_theme_support(
        'custom-logo',
        array(
            'height'               => $logo_height,
            'width'                => $logo_width,
            'flex-width'           => true,
            'flex-height'          => true,
            'unlink-homepage-logo' => false,
        )
    );
    
    
    /* TODOs
    add_theme_support(
        'post-formats',
        array(
            'link',
            'aside',
            'gallery',
            'image',
            'quote',
            'status',
            'video',
            'audio',
            'chat',
        )
    );

    Add theme support for selective refresh for widgets.
    add_theme_support( 'customize-selective-refresh-widgets' );

    Enqueue editor styles.
    add_editor_style( '/assets/css/editor-styles.css' );

    Add support for Block Styles.
    add_theme_support( 'wp-block-styles' );
    */
    
    // Add support for full and wide align images.
    add_theme_support( 'align-wide' );

    // initiate text-domain.
    load_theme_textdomain( 'productive-ecommerce', get_template_directory() . '/languages' );

}
// hook for productive_ecommerce_setup_theme.
add_action( 'after_setup_theme', 'productive_ecommerce_setup_theme' );


/**
 * Method productive_ecommerce_the_custom_logo
 */
function productive_ecommerce_the_custom_logo() {
    if ( function_exists( 'the_custom_logo' ) ) {
        the_custom_logo();
    }
}

/**
 * Method productive_ecommerce_the_meta_description_header.
 */
function productive_ecommerce_the_meta_description_header() {
    $name = get_bloginfo( 'name' );
    $desc = get_bloginfo( 'name' );
    if( empty( $desc ) ) {
        $desc = $name;
    } 
    echo '<meta name="description" content="' . esc_attr($desc) . '">';
}
add_action( 'wp_head', 'productive_ecommerce_the_meta_description_header', 0 );

/**
 * Method productive_ecommerce_the_pingback_header.
 * Adds pingback url auto-discovery header.
 */
function productive_ecommerce_the_pingback_header() {
    if ( is_singular() && pings_open() ) {
            echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
    }
}
add_action( 'wp_head', 'productive_ecommerce_the_pingback_header' );

/**
 * Method productive_ecommerce_get_header_callout.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_header_callout( $class = '' ) {
    
    if ( is_active_sidebar( 'header_callout' ) ) {
        if ( '' != $class ) {
            echo '<div class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'header_callout' ) ) {
                dynamic_sidebar( 'header_callout' );
            }
            echo '</div>';
        } else {
            echo '<div>';
            if ( is_active_sidebar( 'header_callout' ) ) {
                dynamic_sidebar( 'header_callout' );
            }
            echo '</div>';
        }
    }
}
add_action( 'display_header_callout', 'productive_ecommerce_get_header_callout' );

/**
 * Add hooks for the sidebar widgets.
 *
 * @param string $class css class name to use to wrap the sidebar.
 */
function productive_ecommerce_get_homepage_hero_widget( $class = '' ) {
    
    if ( is_active_sidebar( 'homepage_hero_widget' ) ) {
        if ( '' != $class ) {
            echo '<div class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'homepage_hero_widget' ) ) {
                dynamic_sidebar( 'homepage_hero_widget' );
            }
            echo '</div>';
        } else {
            if ( is_active_sidebar( 'homepage_hero_widget' ) ) {
                dynamic_sidebar( 'homepage_hero_widget' );
            }
        }
    }
}
// hook for homepage_hero_widget.
add_action( 'display_homepage_hero_widget', 'productive_ecommerce_get_homepage_hero_widget' );

/**
 * Method productive_ecommerce_get_homepage_content_widget_top.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_homepage_content_widget_top( $class = '' ) {

    if ( is_active_sidebar( 'homepage_content_widget_top' ) ) {
        if ( '' != $class ) {
            echo '<div class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'homepage_content_widget_top' ) ) {
                dynamic_sidebar( 'homepage_content_widget_top' );
            }
            echo '</div>';
        } else {
            if ( is_active_sidebar( 'homepage_content_widget_top' ) ) {
                dynamic_sidebar( 'homepage_content_widget_top' );
            }
        }
    }
}
// hook for get_homepage_content_widget_top.
add_action( 'display_homepage_content_widget_top', 'productive_ecommerce_get_homepage_content_widget_top' );


/**
 * Method productive_ecommerce_get_homepage_content_widget_bottom.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_homepage_content_widget_bottom( $class = '' ) {

    if ( is_active_sidebar( 'homepage_content_widget_bottom' ) ) {
        if ( '' != $class ) {
            echo '<div class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'homepage_content_widget_bottom' ) ) {
                dynamic_sidebar( 'homepage_content_widget_bottom' );
            }
            echo '</div>';
        } else {
            if ( is_active_sidebar( 'homepage_content_widget_bottom' ) ) {
                dynamic_sidebar( 'homepage_content_widget_bottom' );
            }
        }
    }
}
// hook for get_homepage_content_widget_bottom.
add_action( 'display_homepage_content_widget_bottom', 'productive_ecommerce_get_homepage_content_widget_bottom' );


/**
 * Method productive_ecommerce_get_left_sidebar_smallscreen_toggle.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_left_sidebar_smallscreen_toggle( ) {
    echo '<div class="sidebar_left_header">';
        echo '<span class="productive_ecommerce_sidebar_left_header_text">' . 
        esc_attr( productive_ecommerce_sidebar_left_header_text() ) . '</span>';
        echo '<span class="add_circle"><i class="fa fa-caret-down productive_style_button_font_color font-size-fifteen"></i></span>';
        echo '<span class="remove_circle"><i class="fa fa-caret-up productive_style_button_font_color font-size-fifteen"></i></span>';
        echo '</div>';
}
add_action( 'display_sidebar_left_smallscreen_toggle', 'productive_ecommerce_get_left_sidebar_smallscreen_toggle' );


/**
 * Method productive_ecommerce_get_left_sidebar.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_left_sidebar( $class = '' ) {

    if ( is_active_sidebar( 'sidebar_left' ) ) {
        
        do_action( 'display_sidebar_left_smallscreen_toggle');

        if ( '' != $class ) {
            echo '<aside class="sidebar_left ' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'sidebar_left' ) ) {
                dynamic_sidebar( 'sidebar_left' );
            }
            echo '</aside>';
        } else {
            echo '<aside class="sidebar_left">';
            if ( is_active_sidebar( 'sidebar_left' ) ) {
                dynamic_sidebar( 'sidebar_left' );
            }
            echo '</aside>';
        }
    }
}
// hook for sidebar_left.
add_action( 'display_sidebar_left', 'productive_ecommerce_get_left_sidebar' );


/**
 * Method productive_ecommerce_get_sidebar_right.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_sidebar_right( $class = '' ) {

    if ( is_active_sidebar( 'sidebar_right' ) ) {
        if ( '' != $class ) {
            echo '<aside class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'sidebar_right' ) ) {
                dynamic_sidebar( 'sidebar_right' );
            }
            echo '</aside>';
        } else {
            echo '<aside>';
            if ( is_active_sidebar( 'sidebar_right' ) ) {
                dynamic_sidebar( 'sidebar_right' );
            }
            echo '</aside>';
        }
    }
}
// hook for sidebar_right.
add_action( 'display_sidebar_right', 'productive_ecommerce_get_sidebar_right' );



/**
 * Method productive_ecommerce_get_footer_left_info.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_footer_left_info( $class = '' ) {

    if ( is_active_sidebar( 'footer_left_info' ) ) {
        if ( '' != $class ) {
            echo '<aside class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'footer_left_info' ) ) {
                dynamic_sidebar( 'footer_left_info' );
            }
            echo '</aside>';
        } else {
            echo '<aside>';
            if ( is_active_sidebar( 'footer_left_info' ) ) {
                dynamic_sidebar( 'footer_left_info' );
            }
            echo '</aside>';
        }
    }
}
// hook for footer_left_info.
add_action( 'display_footer_left_info', 'productive_ecommerce_get_footer_left_info' );



/**
 * Method productive_ecommerce_get_footer_right_info.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_footer_right_info( $class = '' ) {

    if ( is_active_sidebar( 'footer_right_info' ) ) {
        if ( '' != $class ) {
            echo '<aside class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'footer_right_info' ) ) {
                dynamic_sidebar( 'footer_right_info' );
            }
            echo '</aside>';
        } else {
            echo '<aside>';
            if ( is_active_sidebar( 'footer_right_info' ) ) {
                dynamic_sidebar( 'footer_right_info' );
            }
            echo '</aside>';
        }
    }
}
// hook for footer_right_info.
add_action( 'display_footer_right_info', 'productive_ecommerce_get_footer_right_info' );


/**
 * Method productive_ecommerce_get_site_posts.
 *
 * @param number $number_of_posts ''.
 *
 * @param string $post_type ''.
 *
 * @return WP_Post[]|number[]
 */
function productive_ecommerce_get_site_posts( $number_of_posts = 10, $post_type = 'post' ) {
    $args = array(
        'numberposts' => $number_of_posts,
        'post_type' => $post_type,
        'suppress_filters' => 0,
    );
    return get_posts( $args );
}

/**
 * Add hook to display search box in the header.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_productive_ecommerce_header_nav( $class = '' ) {
	if ( '' != $class ) {
		echo '<div class="' . esc_attr( $class ) . '">';
		wp_nav_menu(
                    array(
                        'theme_location' => 'primary',
                        'menu' => 'promindsone-header-nav',
                        'menu_id' => 'promindsone-header-nav',
                        'container' => 'div',
                        'menu_class' => 'header-navbar-nav',
                        'containder-class' => 'promindsone-header-nav',
                    )
		);
		echo '</div>';
	} else {
		echo '<div>';
		wp_nav_menu(
                    array(
                        'theme_location' => 'primary',
                        'menu' => 'promindsone-header-nav',
                        'menu_id' => 'promindsone-header-nav',
                        'container' => 'div',
                        'menu_class' => 'header-navbar-nav',
                        'containder-class' => 'promindsone-header-nav',
                    )
		);
		echo '</div>';
	}
}
// hook for  header_nav form.
add_action( 'display_productive_ecommerce_header_nav', 'productive_ecommerce_get_productive_ecommerce_header_nav' );

/**
 * Method productive_ecommerce_get_items_per_row_to_display.
 * 
 * @return number
 */
function productive_ecommerce_get_items_per_row_to_display() {
	return productive_ecommerce_items_per_row_to_display();
}
add_action( 'display_items_per_row_to_display', 'productive_ecommerce_get_items_per_row_to_display' );


	/**
	 * Method productive_ecommerce_get_unique_id.
	 *
	 * @param string $prefix ''.
	 *
	 * @return string
	 */
function productive_ecommerce_get_unique_id( $prefix = '' ) {
	if ( function_exists( 'wp_unique_id' ) ) {
		return wp_unique_id( $prefix );
	} else {
		static $id_counter;
		return $prefix . (string) ++$id_counter;
	}
}
	add_action( 'display_unique_id', 'productive_ecommerce_get_unique_id', 1 );

	
/**
 * Method productive_ecommerce_inhouse_full_width_video
 */
function productive_ecommerce_inhouse_full_width_video( $html ) {
    return '<div class="embedded_content_css">' . $html . '</div>';
}
// hook for productive_ecommerce_inhouse_full_width_video.
add_filter( 'embed_oembed_html', 'productive_ecommerce_inhouse_full_width_video', 1, 2 );


/**
 * Method productive_ecommerce_is_blog_category_page.
 * *
 * @return boolean
 */
function productive_ecommerce_is_blog_category_page() {
    if (is_category()) {
        return true;
    }
    return false;
}

/**
 * Method productive_ecommerce_get_theme_mod_bg_image_home
 */
function productive_ecommerce_get_attachment_by_thumbnail_id($attachment_id, $type = 'full', 
    $default_image = PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE) {
    
    $productive_ecommerce_homepage_usp_image = $default_image;
    
    if ( $attachment_id ) {
        $attachment_url = wp_get_attachment_url( $attachment_id, $type );
        if ( !empty( trim($attachment_url)) ) {
            $productive_ecommerce_homepage_usp_image = $attachment_url;
        }
    }
    return $productive_ecommerce_homepage_usp_image;
}


if ( ! function_exists( 'productive_ecommerce_the_posts_navigation' ) ) {
    /**
     * Method for productive_ecommerce_the_posts_navigation
     */
    function productive_ecommerce_the_posts_navigation() {
        the_posts_pagination(
            array(
                'prev_text' => sprintf(
                    '%s <span class="prev-post-link">%s</span>',
                    '<i class="fa fa-caret-left darkgreyed v-middle font-size-fifteen"></i>',
                    esc_html__( 'Newer ', 'productive-ecommerce' )
                    ),
                'next_text' => sprintf(
                    '<span class="next-post-link">%s</span> %s',
                    esc_html__( 'Older', 'productive-ecommerce' ),
                    '<i class="fa fa-caret-right darkgreyed v-middle font-size-fifteen"></i>',
                    ),
                'screen_reader_text' => __( 'Page Content Navigation ', 'productive-ecommerce' ),
                'class' => 'productive_ecommerce_pagination_nav',
            )
        );
    }
}


if ( ! function_exists( 'productive_ecommerce_the_posts_categories_link' ) ) {
    /**
     * Method for productive_ecommerce_the_posts_categories_link
     */
    function productive_ecommerce_the_posts_categories_link($post_id, $demarcator = ', ') {
        $categories = get_the_category($post_id);
        $posts_no = 1;
        $cat_links = '';
        $total_cats = count($categories);
        if ( ! empty( $categories ) ) {
                foreach( $categories as $category ) {
                    $multi_cat = ' ';
                    if ( $posts_no < $total_cats ) {
                        $multi_cat = $demarcator;
                    }
                    $cat_links .= '<a href="' . esc_url( get_category_link( $category->term_id ) ) . '">' . esc_html( $category->name ) . '</a>' . $multi_cat;
                    $posts_no++;
                }
        }
        return $cat_links;
    }
}


require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/productive-theme-customiser-inline.php';
require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/default.php';

 
/* ======================== start STANDARD ======================== */
require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/standard/functions-standard.php';
/* ======================== end STANDARD ======================== */



