<?php
/**
 * Theme Customiser
 *
 * @package productive-ecommerce
 */

if ( ! defined( 'ABSPATH' ) ) {
    die();
}


if ( ! class_exists( 'Productive_Theme_Customiser_Homepage_Blog_Single' ) ) {
    
    /**
     * Productive_Theme_Customiser_Homepage_Blog_Single
     * Theme Customiser Class
     */
    class Productive_Theme_Customiser_Homepage_Blog_Single extends Productive_Theme_Customiser_Common {
        
        /**
         * Register the customizer
         *
         * @param WP_Customize_Manager $wp_customise param.
         */
        public static function register( $wp_customise ) {
            
            // See common for Panels
            // 
            // Section
            $wp_customise->add_section(
                'productive_ecommerce_homepage_blog_single_options',
                array(
                    'title' => __( 'Blog Page', 'productive-ecommerce' ),
                    'description' => __( 'Blog Pages Options', 'productive-ecommerce' ),
                    'panel' => 'productive_ecommerce_theme_options',
                    'priority' => 25,
                    'capability' => 'edit_theme_options',
                )
                );
                        
            // add a setting for productive_ecommerce_single_post_use_drop_caps control, below.
            $wp_customise->add_setting(
                'productive_ecommerce_single_post_use_drop_caps',
                array(
                    'type' => 'theme_mod',
                    'default' => false,
                    'theme_supports' => '',
                    'transport' => 'refresh',
                    'capability' => 'edit_theme_options',
                    'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
                )
                );
            $wp_customise->add_control(
                'productive_ecommerce_single_post_use_drop_caps',
                array(
                    'type' => 'checkbox',
                    'priority' => 8,
                    'section' => 'productive_ecommerce_homepage_blog_single_options',
                    'label' => __( 'Use Drop Caps', 'productive-ecommerce' ),
                    'description' => __( 'Use Drop Caps on Post & Pages', 'productive-ecommerce' ),
                    // 'active_callback' => 'is_front_page',
                )
                );
            
        }
        
    } // End of class.
    
    // add hook for the class.
    add_action( 'customize_register', array( 'Productive_Theme_Customiser_Homepage_Blog_Single', 'register' ) );
    
} // End of if class exists



/**
 * Method productive_ecommerce_single_post_use_drop_caps.
 *
 * @param string $class ''.
 */
function productive_ecommerce_single_post_use_drop_caps( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_single_post_use_drop_caps', false );
}
