<?php
/**
 * Theme Customiser
 *
 * @package productive-ecommerce
 */

if ( ! defined( 'ABSPATH' ) ) {
    die();
}


if ( ! class_exists( 'Productive_Theme_Customiser_Commerce_Payment_Methods' ) ) {
    
    /**
     * Productive_Theme_Customiser_Commerce_Payment_Methods
     * Theme Customiser Class
     */
    class Productive_Theme_Customiser_Commerce_Payment_Methods extends Productive_Theme_Customiser_Common {
        
        /**
         * Register the customizer
         *
         * @param WP_Customize_Manager $wp_customise param.
         */
        public static function register( $wp_customise ) {
            
            // See common for Panels
            // 
            // Section
            $wp_customise->add_section(
                'productive_ecommerce_theme_commerce_payment_methods',
                array(
                    'title' => __( 'Payment Methods Logos', 'productive-ecommerce' ),
                    'description' => __( 'Accepted Payment Methods Across Website', 'productive-ecommerce' ),
                    'panel' => 'productive_ecommerce_theme_woocommerce_options',
                    'priority' => 40,
                    'capability' => 'edit_theme_options',
                )
                );
            
             // add a setting for productive_ecommerce_enable_paypal control, below.
             $wp_customise->add_setting(
             'productive_ecommerce_enable_paypal',
             array(
             'type' => 'theme_mod',
             'default' => true,
             'theme_supports' => '',
             'transport' => 'refresh',
             'capability' => 'edit_theme_options',
             'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
             )
             );
             // add control..
             $wp_customise->add_control(
             'productive_ecommerce_enable_paypal',
             array(
             'type' => 'checkbox',
             'priority' => 10,
             'section' => 'productive_ecommerce_theme_commerce_payment_methods',
             'label' => __( 'Show PayPal?', 'productive-ecommerce' ),
             'description' => __( 'Display PayPal logo', 'productive-ecommerce' ),
             // 'active_callback' => 'is_front_page',
             )
             );
             
             // add a setting for productive_ecommerce_enable_stripe control, below.
             $wp_customise->add_setting(
             'productive_ecommerce_enable_stripe',
             array(
             'type' => 'theme_mod',
             'default' => true,
             'theme_supports' => '',
             'transport' => 'refresh',
             'capability' => 'edit_theme_options',
             'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
             )
             );
             // add control..
             $wp_customise->add_control(
             'productive_ecommerce_enable_stripe',
             array(
             'type' => 'checkbox',
             'priority' => 40,
             'section' => 'productive_ecommerce_theme_commerce_payment_methods',
             'label' => __( 'Show Stripe?', 'productive-ecommerce' ),
             'description' => __( 'Display Stripe logo', 'productive-ecommerce' ),
             // 'active_callback' => 'is_front_page',
             )
             );
            
            // add a setting for productive_ecommerce_enable_visa control, below.
            $wp_customise->add_setting(
                'productive_ecommerce_enable_visa',
                array(
                    'type' => 'theme_mod',
                    'default' => true,
                    'theme_supports' => '',
                    'transport' => 'refresh',
                    'capability' => 'edit_theme_options',
                    'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
                )
                );
            // add control..
            $wp_customise->add_control(
                'productive_ecommerce_enable_visa',
                array(
                    'type' => 'checkbox',
                    'priority' => 30,
                    'section' => 'productive_ecommerce_theme_commerce_payment_methods',
                    'label' => __( 'Show Visa Card?', 'productive-ecommerce' ),
                    'description' => __( 'Display VISA card logo', 'productive-ecommerce' ),
                    // 'active_callback' => 'is_front_page',
                )
                );
            
            // add a setting for productive_ecommerce_enable_mastercard control, below.
            $wp_customise->add_setting(
                'productive_ecommerce_enable_mastercard',
                array(
                    'type' => 'theme_mod',
                    'default' => true,
                    'theme_supports' => '',
                    'transport' => 'refresh',
                    'capability' => 'edit_theme_options',
                    'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
                )
            );
            // add control..
            $wp_customise->add_control(
                'productive_ecommerce_enable_mastercard',
                array(
                    'type' => 'checkbox',
                    'priority' => 40,
                    'section' => 'productive_ecommerce_theme_commerce_payment_methods',
                    'label' => __( 'Show MasterCard?', 'productive-ecommerce' ),
                    'description' => __( 'Display MasterCard logo', 'productive-ecommerce' ),
                    // 'active_callback' => 'is_front_page',
                )
                );
             
             // add a setting for productive_ecommerce_enable_applepay control, below.
             $wp_customise->add_setting(
             'productive_ecommerce_enable_applepay',
             array(
             'type' => 'theme_mod',
             'default' => true,
             'theme_supports' => '',
             'transport' => 'refresh',
             'capability' => 'edit_theme_options',
             'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
             )
             );
             // add control..
             $wp_customise->add_control(
             'productive_ecommerce_enable_applepay',
             array(
             'type' => 'checkbox',
             'priority' => 50,
             'section' => 'productive_ecommerce_theme_commerce_payment_methods',
             'label' => __( 'Show Apple Pay?', 'productive-ecommerce' ),
             'description' => __( 'Display Apple Pay logo', 'productive-ecommerce' ),
             // 'active_callback' => 'is_front_page',
             )
             );
             
             // add a setting for productive_ecommerce_enable_googlepay control, below.
             $wp_customise->add_setting(
             'productive_ecommerce_enable_googlepay',
             array(
             'type' => 'theme_mod',
             'default' => true,
             'theme_supports' => '',
             'transport' => 'refresh',
             'capability' => 'edit_theme_options',
             'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
             )
             );
             // add control..
             $wp_customise->add_control(
             'productive_ecommerce_enable_googlepay',
             array(
             'type' => 'checkbox',
             'priority' => 60,
             'section' => 'productive_ecommerce_theme_commerce_payment_methods',
             'label' => __( 'Show Google Pay?', 'productive-ecommerce' ),
             'description' => __( 'Display Google Pay logo', 'productive-ecommerce' ),
             // 'active_callback' => 'is_front_page',
             )
             );
             
             // add a setting for productive_ecommerce_enable_jcb control, below.
             $wp_customise->add_setting(
             'productive_ecommerce_enable_jcb',
             array(
             'type' => 'theme_mod',
             'default' => true,
             'theme_supports' => '',
             'transport' => 'refresh',
             'capability' => 'edit_theme_options',
             'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
             )
             );
             // add control..
             $wp_customise->add_control(
             'productive_ecommerce_enable_jcb',
             array(
             'type' => 'checkbox',
             'priority' => 70,
             'section' => 'productive_ecommerce_theme_commerce_payment_methods',
             'label' => __( 'Show JCB?', 'productive-ecommerce' ),
             'description' => __( 'Display JCB logo', 'productive-ecommerce' ),
             // 'active_callback' => 'is_front_page',
             )
             );
             
             // add a setting for productive_ecommerce_enable_americanexpress control, below.
             $wp_customise->add_setting(
             'productive_ecommerce_enable_americanexpress',
             array(
             'type' => 'theme_mod',
             'default' => true,
             'theme_supports' => '',
             'transport' => 'refresh',
             'capability' => 'edit_theme_options',
             'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
             )
             );
             // add control..
             $wp_customise->add_control(
             'productive_ecommerce_enable_americanexpress',
             array(
             'type' => 'checkbox',
             'priority' => 80,
             'section' => 'productive_ecommerce_theme_commerce_payment_methods',
             'label' => __( 'Show American Express?', 'productive-ecommerce' ),
             'description' => __( 'Display American Express logo', 'productive-ecommerce' ),
             // 'active_callback' => 'is_front_page',
             )
             );
             
             // add a setting for productive_ecommerce_enable_discover control, below.
             $wp_customise->add_setting(
             'productive_ecommerce_enable_discover',
             array(
             'type' => 'theme_mod',
             'default' => true,
             'theme_supports' => '',
             'transport' => 'refresh',
             'capability' => 'edit_theme_options',
             'sanitize_callback' => array(__CLASS__, 'productive_ecommerce_sanitize_checkbox'),
             )
             );
             // add control..
             $wp_customise->add_control(
             'productive_ecommerce_enable_discover',
             array(
             'type' => 'checkbox',
             'priority' => 90,
             'section' => 'productive_ecommerce_theme_commerce_payment_methods',
             'label' => __( 'Show Discover?', 'productive-ecommerce' ),
             'description' => __( 'Display Discover logo', 'productive-ecommerce' ),
             // 'active_callback' => 'is_front_page',
             )
             );
        }
        
        
    } // End of class.
    if ( function_exists( 'productiveminds_is_productive_payment_icons' ) && productiveminds_is_productive_payment_icons() ) {
        // add hook for the class.
        add_action( 'customize_register', array( 'Productive_Theme_Customiser_Commerce_Payment_Methods', 'register' ) );
    }
    
} // End of if class exists




/**
 * Method productive_ecommerce_enable_paypal.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_paypal( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_paypal', true );
}
add_action( 'display_productive_ecommerce_enable_paypal', 'productive_ecommerce_enable_paypal' );

/**
 * Method productive_ecommerce_enable_stripe.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_stripe( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_stripe', true );
}
add_action( 'display_productive_ecommerce_enable_stripe', 'productive_ecommerce_enable_stripe' );

/**
 * Method productive_ecommerce_enable_visa.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_visa( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_visa', true );
}
add_action( 'display_productive_ecommerce_enable_visa', 'productive_ecommerce_enable_visa' );

/**
 * Method productive_ecommerce_enable_mastercard.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_mastercard( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_mastercard', true );
}
add_action( 'display_productive_ecommerce_enable_mastercard', 'productive_ecommerce_enable_mastercard' );

/**
 * Method productive_ecommerce_enable_applepay.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_applepay( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_applepay', true );
}
add_action( 'display_productive_ecommerce_enable_applepay', 'productive_ecommerce_enable_applepay' );

/**
 * Method productive_ecommerce_enable_googlepay.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_googlepay( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_googlepay', true );
}
add_action( 'display_productive_ecommerce_enable_googlepay', 'productive_ecommerce_enable_googlepay' );

/**
 * Method productive_ecommerce_enable_jcb.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_jcb( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_jcb', true );
}
add_action( 'display_productive_ecommerce_enable_jcb', 'productive_ecommerce_enable_jcb' );

/**
 * Method productive_ecommerce_enable_americanexpress.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_americanexpress( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_americanexpress', true );
}
add_action( 'display_productive_ecommerce_enable_americanexpress', 'productive_ecommerce_enable_americanexpress' );

/**
 * Method productive_ecommerce_enable_discover.
 *
 * @param string $class ''.
 */
function productive_ecommerce_enable_discover( $class = '' ) {
    return get_theme_mod( 'productive_ecommerce_enable_discover', true );
}
add_action( 'display_productive_ecommerce_enable_discover', 'productive_ecommerce_enable_discover' );


