<?php
/**
 * @package    productive-ecommerce
 */


function productive_ecommerce_get_homepage_banner_with_image() {
$attachment_id = productive_ecommerce_homepage_usp_image();
$productive_ecommerce_homepage_usp_image = productive_ecommerce_get_attachment_by_thumbnail_id($attachment_id);

$parallax = 'parallax';
$productive_ecommerce_is_homepage_usp_scroll = productive_ecommerce_is_homepage_usp_scroll();
if ( $productive_ecommerce_is_homepage_usp_scroll ) {
    $parallax = '';
}
?>
    <div class="productiveminds_hero_container home <?php echo esc_attr( $parallax ); ?>"  style="background-image: url(<?php echo esc_url( $productive_ecommerce_homepage_usp_image ); ?>)">
        <div class="productiveminds_hero_container_content_bg_overlay"></div>
        <div class="productiveminds_hero_container_content_container">
            <div class="productiveminds_hero_container_content">
                   <?php do_action( 'display_productive_ecommerce_homepage_usp_textarea_1'); ?>
                   <div class="clear_min"></div>
                   <?php do_action( 'display_productive_ecommerce_homepage_usp_textarea_2'); ?>
                   <div class="cta">
                       <?php do_action( 'display_productive_ecommerce_homepage_cta_1_title', 'cta1'); ?>
                       <?php do_action( 'display_productive_ecommerce_homepage_cta_2_title', 'cta2'); ?>
                   </div>
           </div>
        </div>
    </div>
<?php
}
add_action( 'display_productive_ecommerce_get_homepage_banner_with_image', 'productive_ecommerce_get_homepage_banner_with_image' );


function productive_ecommerce_get_homepage_banner_with_image_type2() {
$attachment_id = productive_ecommerce_homepage_usp_image();
$productive_ecommerce_homepage_usp_image = productive_ecommerce_get_attachment_by_thumbnail_id($attachment_id);

$parallax = 'parallax';
$productive_ecommerce_is_homepage_usp_scroll = productive_ecommerce_is_homepage_usp_scroll();
if ( $productive_ecommerce_is_homepage_usp_scroll ) {
    $parallax = '';
}
?>
    <div class="site-container">
        <div class="productiveminds_hero_container home type2 <?php echo esc_attr( $parallax ); ?>" style="background-image: url(<?php echo esc_url( $productive_ecommerce_homepage_usp_image ); ?>)">
            <div class="productiveminds_hero_container_content_bg_overlay"></div>
            <div class="productiveminds_hero_container_content_container type2">
                <div class="flex-content-container">
                    <div class="flex-content-60 flex-content-container-section type2_main_column">
                        <div class="productiveminds_hero_container_content">
                            <?php do_action( 'display_productive_ecommerce_homepage_usp_textarea_1'); ?>
                            <div class="clear_min"></div>
                            <?php do_action( 'display_productive_ecommerce_homepage_usp_textarea_2'); ?>
                            <div class="cta">
                                <?php do_action( 'display_productive_ecommerce_homepage_cta_1_title', 'cta1'); ?>
                                <?php do_action( 'display_productive_ecommerce_homepage_cta_2_title', 'cta2'); ?>
                            </div>
                       </div>
                    </div>
                    <div class="flex-content-40 flex-content-container-section">
                        <div class="productiveminds_hero_container_content_column_2">
                            <?php do_action( 'display_homepage_element_section_v2' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php
}
add_action( 'display_productive_ecommerce_get_homepage_banner_with_image_type2', 'productive_ecommerce_get_homepage_banner_with_image_type2' );


/**
* Method for productive_ecommerce_the_homepage_element_section_v2
*/
function productive_ecommerce_the_homepage_element_section_v2() {
    if ( productive_ecommerce_is_productive_style_active() || productive_ecommerce_is_productive_style_extra_active() ) {
        $is_enabled = productive_style_homepage_element_section_enable();
        if ( $is_enabled ) {
            echo productive_style_element_get_homepage_element_section_v2();
        }
    } else {
       do_action( 'display_productive_ecommerce_the_homepage_element_placeholder' );
    }
}
add_action( 'display_homepage_element_section_v2', 'productive_ecommerce_the_homepage_element_section_v2');

/**
* Method for productive_style_element_get_homepage_element_section
*/
function productive_style_element_get_homepage_element_section_v2() {
    
    $section_title = productive_style_homepage_element_section_title();
    $section_intro = productive_style_homepage_element_section_intro();
    $section_cols = productive_style_homepage_element_section_num_cols();
    $section_buttons_enabled = productive_style_homepage_element_section_enable_button();
    $limit = 2; 
    
    $args = array(
        'post_type' => PRODUCTIVE_ECOMMERCE_PLUGIN_ELEMENT_SLUG,
        'posts_per_page' => $limit,
        'orderby' => 'menu_order ASC',
        'order' => 'ASC',
        'suppress_filters' => 0,
    );
    $productive_features = new WP_Query( $args );
    if ( $productive_features->have_posts() ) {
    ?>
        <?php 
            $counter = 1;
            while( $productive_features->have_posts() ) {
                $productive_features->the_post();
                $element_post_id = get_the_ID();
                $element_meta_object = get_post_meta( $element_post_id, '_pro_element', true );
                
                $section_icon_code = '';
                if ( !empty( $element_meta_object['element_icon'] ) ) {
                    $section_icon_code = sanitize_text_field( $element_meta_object['element_icon'] );
                }
                $section_cta_url = '';
                if ( !empty( $element_meta_object['url'] ) ) {
                    $section_cta_url = sanitize_text_field( $element_meta_object['url'] );
                }
                $section_cta_text = '';
                if ( !empty( $element_meta_object['cta_text'] ) ) {
                    $section_cta_text = sanitize_text_field( $element_meta_object['cta_text'] );
                }
                
                $right = '';
                if ( $counter % 2 == 0 ) { $right = ' right'; } else { $right = ''; }
            ?>
            <div class="productiveminds_hero_container_content_column_2_container" style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url() ); ?>)">
                <div class="productiveminds_hero_container_content_bg_overlay_column_2"></div>
                <div class="productiveminds_hero_container_content_column_2_container_content <?php echo esc_attr($right);?>">
                    <div class="h5"><?php the_title(); ?></div> 
                    <div><?php the_content(); ?></div>
                    <?php 
                        if ( $section_buttons_enabled ) {
                    ?>
                    <a class="homepage_element_section_button_style" aria-label="<?php esc_attr_e('Read more about ', 'productive-ecommerce') . the_title(); ?>" href="<?php echo esc_attr($section_cta_url); ?>">
                        <?php echo esc_attr($section_cta_text); ?>
                        <span class="screen-reader-text"><?php esc_html_e('Read more about ', 'productive-ecommerce') . the_title(); ?></span>
                    </a>
                    <?php 
                        }
                    ?>
                </div>
            </div>
            <?php
            $counter++;
            }
            wp_reset_postdata();
        ?>    
    <?php
    } else {
        do_action( 'display_productive_ecommerce_the_homepage_element_placeholder' );
    }
}


/**
* Method for productive_ecommerce_the_homepage_element_placeholder
*/
function productive_ecommerce_the_homepage_element_placeholder() {
    ?>
    <div class="productiveminds_hero_container_content_column_2_container" style="background: #c6ecfd; ">
        <div class="productiveminds_hero_container_content_bg_overlay_column_2"></div>
        <div class="productiveminds_hero_container_content_column_2_container_content">
            
        </div>
    </div>
    <div class="productiveminds_hero_container_content_column_2_container" style="background: #03A3CE; ">
        <div class="productiveminds_hero_container_content_bg_overlay_column_2"></div>
        <div class="productiveminds_hero_container_content_column_2_container_content">

        </div>
    </div>
<?php
}
add_action( 'display_productive_ecommerce_the_homepage_element_placeholder', 'productive_ecommerce_the_homepage_element_placeholder');


/**
* Method for productive_ecommerce_the_homepage_element_section
*/
function productive_ecommerce_the_homepage_element_section() {
    if ( productive_ecommerce_is_productive_style_active() || productive_ecommerce_is_productive_style_extra_active() ) {
        $is_enabled = productive_style_homepage_element_section_enable();
        if ( $is_enabled ) {
            echo productive_style_element_get_homepage_element_section();
        }
    }
}
add_action( 'display_homepage_element_section', 'productive_ecommerce_the_homepage_element_section');

/**
* Method for productive_style_element_get_homepage_element_section
*/
function productive_style_element_get_homepage_element_section() {
    
    $section_title = productive_style_homepage_element_section_title();
    $section_intro = productive_style_homepage_element_section_intro();
    $section_cols = productive_style_homepage_element_section_num_cols();
    $section_rows = productive_style_homepage_element_section_num_rows();
    $limit = $section_cols * $section_rows; 
    
    $args = array(
        'post_type' => PRODUCTIVE_ECOMMERCE_PLUGIN_ELEMENT_SLUG,
        'posts_per_page' => $limit,
        'orderby' => 'menu_order ASC',
        'order' => 'ASC',
        'suppress_filters' => 0,
    );
    $productive_features = new WP_Query( $args );
    if ( $productive_features->have_posts() ) {
    ?>
    
        <div class="site-homepage-element-text-desc">
            <h2 class="section-title"><?php echo esc_html( $section_title ); ?></h2>
            <?php if ( !empty( $section_intro ) ) { ?>
                <div class="section-intro"><?php echo esc_html( $section_intro ); ?></div>
            <?php } ?>
            <div class="productiveminds_section columns-<?php echo esc_attr( $section_cols ); ?>">
            <div class="products-grid products columns-<?php echo esc_attr( $section_cols ); ?>">
                <?php 
                    while( $productive_features->have_posts() ) {
                        $productive_features->the_post();
                        $element_post_id = get_the_ID();
                        $element_meta_object = get_post_meta( $element_post_id, '_pro_element', true );
                        $section_icon_code = '';
                        if ( !empty( $element_meta_object['element_icon'] ) ) {
                            $section_icon_code = sanitize_text_field( $element_meta_object['element_icon'] );
                        }
                    ?>
                    <div class="product">
                        <div class="the_search_item">
                            <i class="fa <?php echo esc_attr($section_icon_code); ?> homepage_element_section_icon_style"></i>
                            <div class="h5"><?php the_title(); ?></div>         
                            <div><?php the_content(); ?></div>
                        </div>
                    </div>
                    <?php
                    }
                    wp_reset_postdata();
                ?>
            </div>
            <div class="clear_min"></div>
            </div>
        </div>
    
    <?php
    }
}





/**
* Method for productive_ecommerce_the_homepage_service_element_section
*/
function productive_ecommerce_the_homepage_service_element_section() {
    if ( productive_ecommerce_is_productive_style_active() || productive_ecommerce_is_productive_style_extra_active() ) {
        $is_enabled = productive_style_homepage_service_element_section_enable();
        if ( $is_enabled ) {
            echo productive_style_element_get_service_element_section();
        }
    }
}
add_action( 'display_homepage_service_element_section', 'productive_ecommerce_the_homepage_service_element_section');

/**
* Method for productive_style_element_get_service_element_section
*/
function productive_style_element_get_service_element_section() {
    
    $section_title = productive_style_homepage_service_element_section_title();
    $section_intro = productive_style_homepage_service_element_section_intro();
    $section_cols = productive_style_homepage_service_element_section_num_cols();
    $section_rows = productive_style_homepage_service_element_section_num_rows();
    $section_buttons_enabled = productive_style_homepage_service_element_section_enable_button();
    $limit = $section_cols * $section_rows; 
    
    $args = array(
        'post_type' => PRODUCTIVE_ECOMMERCE_PLUGIN_SERVICE_SLUG,
        'posts_per_page' => $limit,
        'orderby' => 'menu_order ASC',
        'order' => 'ASC',
        'suppress_filters' => 0,
    );
    $productive_services = new WP_Query( $args );
    if ( $productive_services->have_posts() ) {
    ?>
    
        <div class="site-service-element-text-desc">
            <h2 class="section-title h2"><?php echo esc_html( $section_title ); ?></h2>
            <?php if ( !empty( $section_intro ) ) { ?>
                <div class="section-intro"><?php echo esc_html( $section_intro ); ?></div>
            <?php } ?>
            <div class="productiveminds_section columns-<?php echo esc_attr( $section_cols ); ?>">
            <div class="products-grid products columns-<?php echo esc_attr( $section_cols ); ?>">
                <?php
                    while( $productive_service_element->have_posts() ) {
                        $productive_service_element->the_post();
                        $element_post_id = get_the_ID();
                        $element_meta_object = get_post_meta( $element_post_id, '_pro_service', true );
                        $section_icon_code = '';
                        if ( !empty( $element_meta_object['service_icon'] ) ) {
                            $section_icon_code = sanitize_text_field( $element_meta_object['service_icon'] );
                        }
                        $section_cta_url = '';
                        if ( !empty( $element_meta_object['service_url'] ) ) {
                            $section_cta_url = sanitize_text_field( $element_meta_object['service_url'] );
                        }
                        $section_cta_text = '';
                        if ( !empty( $element_meta_object['service_cta_text'] ) ) {
                            $section_cta_text = sanitize_text_field( $element_meta_object['service_cta_text'] );
                        }
                    ?>
                    <div class="product">
                        <div class="the_search_item">
                            <?php
                                $attr = array (
                                    'alt' => get_the_title(),
                                );
                                the_post_thumbnail( 'full', $attr ); 
                            ?>
                            <div class="h4"><?php the_title(); ?></div>   
                            <?php if ( !empty( $section_icon_code ) ) { ?>
                            <i class="fa <?php echo esc_attr($section_icon_code); ?> homepage_service_element_section_icon_style"></i>
                            <?php } ?>
                            <div>
                                <?php 
                                the_content();
                                ?>
                            </div>
                            
                            <?php 
                                if ( $section_buttons_enabled ) {
                            ?>
                            <a class="homepage_service_element_section_button_style" aria-label="<?php esc_attr_e('Read more about ', 'productive-ecommerce') . the_title(); ?>" href="<?php echo esc_attr($section_cta_url); ?>">
                                <?php echo esc_attr($section_cta_text); ?>
                                <span class="screen-reader-text"><?php esc_html_e('Read more about ', 'productive-ecommerce') . the_title(); ?></span>
                            </a>
                            <?php 
                                }
                            ?>
                        </div>
                    </div>
                    <?php
                    }
                    wp_reset_postdata();
                ?>
            </div>
            <div class="clear_min"></div>
            </div>
        </div>
    
    <?php
    }
}

/**
* Method for productive_ecommerce_the_homepage_bestsellers
*/
function productive_ecommerce_the_homepage_bestsellers() {
    $is_enabled = productive_ecommerce_homepage_products_bestsellers_enable();
    if ( productive_ecommerce_is_woocommerce_activated() && $is_enabled ) {
        $args = array(
            'numberposts'    => 1,
            'posts_per_page' => '1',
	);
        $product_exists = wc_get_products($args);
        if ( count($product_exists) ) {
            $section_title = productive_ecommerce_homepage_products_bestsellers_section_title();
            $section_cols = productive_ecommerce_homepage_products_bestsellers_num_cols();
            $section_rows = productive_ecommerce_homepage_products_bestsellers_num_rows();
            $limit = $section_cols * $section_rows;
            echo '<div class="productiveminds_widget_container_home">';
            echo '<h2 class="section-title">' . esc_attr($section_title) .  '</h2>';
            echo do_shortcode('[products limit="' . esc_attr($limit) . '" columns="' . esc_attr($section_cols) . '" best_selling="true"]');
            echo '</div>';
        }
    }
}
add_action( 'display_homepage_bestsellers', 'productive_ecommerce_the_homepage_bestsellers');

/**
* Method for productive_ecommerce_the_homepage_latest
*/
function productive_ecommerce_the_homepage_latest() {
    $is_enabled = productive_ecommerce_homepage_products_latest_enable();
    if ( productive_ecommerce_is_woocommerce_activated() && $is_enabled ) {
        $args = array(
            'numberposts'    => 1,
            'posts_per_page' => '1',
	);
        $product_exists = wc_get_products($args);
        if ( count($product_exists) ) {
            $section_title = productive_ecommerce_homepage_products_latest_section_title();
            $section_cols = productive_ecommerce_homepage_products_latest_num_cols();
            $section_rows = productive_ecommerce_homepage_products_latest_num_rows();
            $limit = $section_cols * $section_rows;
            echo '<div class="productiveminds_widget_container_home">';
            echo '<h2 class="section-title">' . esc_html($section_title) .  '</h2>';
            echo do_shortcode('[products limit="' . esc_attr($limit) . '" columns="' . esc_attr($section_cols) . '" orderby="id" order="DESC" visibility="visible"]');
            echo '</div>';
        }
    }
}
add_action( 'display_homepage_latest', 'productive_ecommerce_the_homepage_latest');
