<?php
/**
 * Productive Plugins checks
 * @package productive-ecommerce
 */

// Customisers
require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/functions-customiser.php';


function productive_ecommerce_apply_custom_css() {
    $css_settings = productive_ecommerce_get_custom_css();
    $css =  '' .
        '.site-header img.custom-logo {
                width: ' . esc_html( $css_settings['productive_ecommerce_the_logo_size'] ) . 'px;
        }.productiveminds_hero_container.home {
                height: ' . esc_html( $css_settings['productive_ecommerce_is_homepage_banner_height'] ) . 'px;
        }.productiveminds_hero_container.home.type2 {
                height: auto;
        }.productiveminds_hero_container.home .flex-content-container-section {
                height: ' . esc_html( $css_settings['productive_ecommerce_is_homepage_banner_height'] ) . 'px;
        }.productiveminds_hero_container.home .productiveminds_hero_container_content_text.top {
                color: ' . esc_html( $css_settings['usp_1_text_color'] ) . ';
        }.productiveminds_hero_container.home .productiveminds_hero_container_content_text.bottom {
                color: ' . esc_html( $css_settings['usp_2_text_color'] ) . ';
        }.productiveminds_hero_container.home .productiveminds_hero_container_content .cta a {
                color: ' . esc_html( $css_settings['cta_1_text_color'] ) . ';
                border-radius: ' . esc_html( $css_settings['productive_ecommerce_homepage_cta_1_shape'] ) . ';
                background: ' . esc_html( $css_settings['cta_1_bg_color'] ) . ';
        }.productiveminds_hero_container.home .productiveminds_hero_container_content .cta a.cta2 {
                color: ' . esc_html( $css_settings['cta_2_text_color'] ) . ';
                border-color: ' . esc_html( $css_settings['cta_2_text_color'] ) . ';
                border-radius: ' . esc_html( $css_settings['productive_ecommerce_homepage_cta_2_shape'] ) . ';
                background: ' . esc_html( $css_settings['cta_2_bg_color'] ) . ';
        }.productiveminds_hero_container.home .productiveminds_hero_container_content .cta a:hover {
                color: ' . esc_html( $css_settings['cta_1_bg_color'] ) . ';
                background: ' . esc_html( $css_settings['cta_1_text_color'] ) . ';
        }.productiveminds_hero_container.home .productiveminds_hero_container_content .cta a.cta2:hover {
                color: ' . esc_html( $css_settings['cta_2_bg_color'] ) . ';
                border-color: ' . esc_html( $css_settings['cta_2_bg_color'] ) . ';
                background: ' . esc_html( $css_settings['cta_2_text_color'] ) . ';
        }.site-header a.header-power-button-link {
                color: ' . esc_html( $css_settings['productive_ecommerce_power_button_font_color'] ) . ';
                border-radius: ' . esc_html( $css_settings['productive_ecommerce_power_button_shape'] ) . ';
                background: ' . esc_html( $css_settings['productive_ecommerce_power_button_bg_color'] ) . ';
        }.site-header a.header-power-button-link:hover {
                color: ' . esc_html( $css_settings['productive_ecommerce_power_button_font_color_hover'] ) . ';
                background: ' . esc_html( $css_settings['productive_ecommerce_power_button_bg_color_hover'] ) . ';
        }';
    
        if ( isset( $css_settings['blog_category_title_text_color'] ) && 
                ( !empty( $css_settings['blog_category_title_text_color'] ) && ';' !== $css_settings['blog_category_title_text_color'] ) ) {
            $css .= '.productiveminds_hero_container.archive .productiveminds_hero_container_content_text h1 {
                color: ' . esc_html( $css_settings['blog_category_title_text_color'] ) . ';
            }';
        }
    
        if ( $css_settings['productive_ecommerce_single_post_use_drop_caps'] ) {
            $css .= '.blog-content-body p:first-letter {
                float: left;
                width: 1rem;
                line-height: 90%;
                font-size: 400%;
                margin-top: 0.5rem;
            }';
        }
        
        if ( productive_ecommerce_is_productive_style_extra_active($important = '') ) {
            
            $css_settings_banner_text_large = productive_ecommerce_get_custom_css_in_style_banner_text_large($important);
            if ( !empty($css_settings_banner_text_large ) ) {
                $css .= '.productiveminds_hero_container.home .productiveminds_hero_container_content_text.top {';
                foreach ( $css_settings_banner_text_large as $key => $value) {
                   $css .= $value;
                }
                $css .= '}';
            }
            $css_settings_banner_text_small = productive_ecommerce_get_custom_css_in_style_banner_text_small($important);
            if ( !empty($css_settings_banner_text_small ) ) {
                $css .= '.productiveminds_hero_container.home .productiveminds_hero_container_content_text.bottom {';
                foreach ( $css_settings_banner_text_small as $key => $value) {
                   $css .= $value;
                }
                $css .= '}';
            }
            $css_settings_banner_ctas = productive_ecommerce_get_custom_css_in_style_banner_ctas($important);
            if ( !empty($css_settings_banner_ctas ) ) {
                $css .= '.productiveminds_hero_container.home .productiveminds_hero_container_content .cta a, '
                        . '.productiveminds_hero_container.home .productiveminds_hero_container_content .cta a.cta2 {';
                foreach ( $css_settings_banner_ctas as $key => $value) {
                   $css .= $value;
                }
                $css .= '}';
            }
            
            $css_settings_power_button = productive_ecommerce_get_custom_css_in_style_power_button($important);
            if ( !empty($css_settings_power_button ) ) {
                $css .= '.site-header a.header-power-button-link {';
                foreach ( $css_settings_power_button as $key => $value) {
                   $css .= $value;
                }
                $css .= '}';
            }
            
        }
        
        // @media
        $half_h = ( floatval( $css_settings['productive_ecommerce_is_homepage_banner_height'] ) / 5 ) * 3;
        $css .= '@media (max-width: 768px) {';
        $css .= '
            .productiveminds_hero_container.home .flex-content-container-section.type2_main_column {
                height: ' . esc_html( $half_h ) . 'px;
        }';
        $css .= '}';
    
        return trim($css); 
}
function productive_ecommerce_get_custom_css($important = '') {
    global $global_style_setting;
    
    $global_style_setting['productive_ecommerce_the_logo_size'] = productive_ecommerce_the_logo_size();
    $global_style_setting['productive_ecommerce_is_homepage_banner_height'] = productive_ecommerce_is_homepage_banner_height();
    
    $global_style_setting['usp_1_text_color'] = productive_ecommerce_homepage_usp_textarea_1_color();
    $global_style_setting['usp_2_text_color'] = productive_ecommerce_homepage_usp_textarea_2_color();
    
    $global_style_setting['cta_1_text_color'] = productive_ecommerce_homepage_cta_1_text_color();
    $global_style_setting['cta_1_bg_color'] = productive_ecommerce_homepage_cta_1_bg_color();
    $global_style_setting['cta_2_text_color'] = productive_ecommerce_homepage_cta_2_text_color();
    $global_style_setting['cta_2_bg_color'] = productive_ecommerce_homepage_cta_2_bg_color();
    $global_style_setting['productive_ecommerce_homepage_cta_1_shape'] = productive_ecommerce_get_button_radius_css ( productive_ecommerce_homepage_cta_1_shape() );
    $global_style_setting['productive_ecommerce_homepage_cta_2_shape'] = productive_ecommerce_get_button_radius_css ( productive_ecommerce_homepage_cta_2_shape() );
    
    $global_style_setting['productive_ecommerce_power_button_font_color'] = productive_ecommerce_power_button_font_color();
    $global_style_setting['productive_ecommerce_power_button_font_color_hover'] = productive_ecommerce_power_button_font_color_hover();
    $global_style_setting['productive_ecommerce_power_button_bg_color'] = productive_ecommerce_power_button_bg_color();
    $global_style_setting['productive_ecommerce_power_button_bg_color_hover'] = productive_ecommerce_power_button_bg_color_hover();
    $global_style_setting['productive_ecommerce_power_button_shape'] = productive_ecommerce_get_button_radius_css ( productive_ecommerce_power_button_shape() );
    
    $global_style_setting['blog_category_title_text_color'] = productive_ecommerce_post_archive_title_color();
    
    $global_style_setting['productive_ecommerce_single_post_use_drop_caps'] = productive_ecommerce_single_post_use_drop_caps();
    
    return $global_style_setting;
}

function productive_ecommerce_get_custom_css_in_style_banner_text_large( $important = '' ) {
    $local_style_setting = array();
    if ( !empty(productive_ecommerce_banner_text_large_font_family()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_font_family'] = 'font-family: var(' . esc_html( productive_ecommerce_banner_text_large_font_family() ) . ') ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_font_style()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_font_style'] = 'font-style: ' . esc_html( productive_ecommerce_banner_text_large_font_style() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_font_size()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_font_size'] = 'font-size: ' . esc_html( productive_ecommerce_banner_text_large_font_size() ) . 'rem ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_font_weight()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_font_weight'] = 'font-weight: ' . esc_html( productive_ecommerce_banner_text_large_font_weight() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_line_height()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_line_height'] = 'line-height: ' . esc_html( productive_ecommerce_banner_text_large_line_height() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_text_transform()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_text_transform'] = 'text-transform: ' . esc_html( productive_ecommerce_banner_text_large_text_transform() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_text_decoration()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_text_decoration'] = 'text-decoration: ' . esc_html( str_replace('_', ' ', productive_ecommerce_banner_text_large_text_decoration()) ) . ' ' . $important . '; ';
    }

    return $local_style_setting;
}

function productive_ecommerce_get_custom_css_in_style_banner_text_small( $important = '' ) {
    $local_style_setting = array();
    if ( !empty(productive_ecommerce_banner_text_small_font_family()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_font_family'] = 'font-family: var(' . esc_html( productive_ecommerce_banner_text_small_font_family() ) . ') ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_font_style()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_font_style'] = 'font-style: ' . esc_html( productive_ecommerce_banner_text_small_font_style() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_font_size()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_font_size'] = 'font-size: ' . esc_html( productive_ecommerce_banner_text_small_font_size() ) . 'rem ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_font_weight()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_font_weight'] = 'font-weight: ' . esc_html( productive_ecommerce_banner_text_small_font_weight() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_line_height()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_line_height'] = 'line-height: ' . esc_html( productive_ecommerce_banner_text_small_line_height() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_text_transform()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_text_transform'] = 'text-transform: ' . esc_html( productive_ecommerce_banner_text_small_text_transform() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_text_decoration()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_text_decoration'] = 'text-decoration: ' . esc_html( str_replace('_', ' ', productive_ecommerce_banner_text_small_text_decoration()) ) . ' ' . $important . '; ';
    }
    return $local_style_setting;
}

function productive_ecommerce_get_custom_css_in_style_banner_ctas( $important = '' ) {
    $local_style_setting = array();
    if ( !empty(productive_ecommerce_banner_ctas_font_family()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_font_family'] = 'font-family: var(' . esc_html( productive_ecommerce_banner_ctas_font_family() ) . ') ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_font_style()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_font_style'] = 'font-style: ' . esc_html( productive_ecommerce_banner_ctas_font_style() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_font_size()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_font_size'] = 'font-size: ' . esc_html( productive_ecommerce_banner_ctas_font_size() ) . 'rem ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_font_weight()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_font_weight'] = 'font-weight: ' . esc_html( productive_ecommerce_banner_ctas_font_weight() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_line_height()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_line_height'] = 'line-height: ' . esc_html( productive_ecommerce_banner_ctas_line_height() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_text_transform()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_text_transform'] = 'text-transform: ' . esc_html( productive_ecommerce_banner_ctas_text_transform() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_text_decoration()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_text_decoration'] = 'text-decoration: ' . esc_html( str_replace('_', ' ', productive_ecommerce_banner_ctas_text_decoration()) ) . ' ' . $important . '; ';
    }
    return $local_style_setting;
}

function productive_ecommerce_get_custom_css_in_style_power_button( $important = '' ) {
    $local_style_setting = array();
    if ( !empty(productive_ecommerce_power_button_font_family()) ) {
        $local_style_setting['productive_ecommerce_power_button_font_family'] = 'font-family: var(' . esc_html( productive_ecommerce_power_button_font_family() ) . ') ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_font_style()) ) {
        $local_style_setting['productive_ecommerce_power_button_font_style'] = 'font-style: ' . esc_html( productive_ecommerce_power_button_font_style() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_font_size()) ) {
        $local_style_setting['productive_ecommerce_power_button_font_size'] = 'font-size: ' . esc_html( productive_ecommerce_power_button_font_size() ) . 'rem ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_font_weight()) ) {
        $local_style_setting['productive_ecommerce_power_button_font_weight'] = 'font-weight: ' . esc_html( productive_ecommerce_power_button_font_weight() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_line_height()) ) {
        $local_style_setting['productive_ecommerce_power_button_line_height'] = 'line-height: ' . esc_html( productive_ecommerce_power_button_line_height() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_text_transform()) ) {
        $local_style_setting['productive_ecommerce_power_button_text_transform'] = 'text-transform: ' . esc_html( productive_ecommerce_power_button_text_transform() ) . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_text_decoration()) ) {
        $local_style_setting['productive_ecommerce_power_button_text_decoration'] = 'text-decoration: ' . esc_html( str_replace('_', ' ', productive_ecommerce_power_button_text_decoration()) ) . ' ' . $important . '; ';
    }
    return $local_style_setting;
}
