<?php
/**
 * Productive Plugins checks
 * @package productive-ecommerce
 */

if ( !function_exists( 'productive_ecommerce_is_productive_forms_active' ) ) {
    
    /**
     * Check if Productive Commerce is installed and activated
     */
    function productive_ecommerce_is_productive_commerce_active() {
        return function_exists( 'productive_commerce_is_active' );
    }
    /**
     * Check if Productive Commerce Extra is installed and activated
     */
    function productive_ecommerce_is_productive_commerce_extra_active() {
        return function_exists( 'productive_commerce_extra_is_active' );
    }

    
    /**
     * Check if Productive Forms is installed and activated
     */
    function productive_ecommerce_is_productive_forms_active() {
        return function_exists( 'productive_forms_is_active' );
    }
    /**
     * Check if Productive Forms Extra is installed and activated
     */
    function productive_ecommerce_is_productive_forms_extra_active() {
        return function_exists( 'productive_forms_extra_is_active' );
    }


    /**
     * Check if Productive Style is installed and activated
     */
    function productive_ecommerce_is_productive_style_active() {
        return function_exists( 'productive_style_is_active' );
    }
    /**
     * Check if Productive Style Extra is installed and activated
     */
    function productive_ecommerce_is_productive_style_extra_active() {
        return function_exists( 'productive_style_extra_is_active' );
    }


    /**
     * Check if Productive Demo Importer is installed and activated
     */
    function productive_ecommerce_is_productive_demo_importer_active() {
        return function_exists( 'productive_demo_importer_is_active' );
    }

    
    /**
     * Check if MultiCurreny plugin is activated
     */
    function productiveminds_is_wcml_currency_active() {
        return function_exists( 'wcml_loader' );
    }
    
    /**
     * Check if Language plugin is activated
     */
    function productiveminds_is_wpml_language_active() {
        return class_exists( 'SitePress' );
    }

    /**
     * Set whether Power Button
     */
    function productiveminds_is_productive_power_button() {
        return false;
    }
    
    /**
     * Set whether Productive Payment Icons
     */
    function productiveminds_is_productive_payment_icons() {
        return false;
    }
    
    /**
     * Set whether Productive Commerce  Plugin
     */
    function productiveminds_is_productive_commerce() {
        return true;
    }
    
    /**
     * Set productiveminds_is_productive_element is used
     */
    function productiveminds_is_productive_element() {
        return true;
    }

    /**
     * Set productiveminds_is_productive_element is used
     */
    function productiveminds_is_productive_service() {
        return false;
    }

    /**
     * Set productiveminds_is_productive_about is used
     */
    function productiveminds_is_productive_about() {
        return true;
    }

    /**
     * Set productiveminds_is_productive_project is used
     */
    function productiveminds_is_productive_project() {
        return false;
    }

    /**
     * Set productiveminds_is_productive_client is used
     */
    function productiveminds_is_productive_client() {
        return false;
    }

    /**
     * Set productiveminds_is_productive_team is used
     */
    function productiveminds_is_productive_team() {
        return false;
    }

    /**
     * Set productiveminds_is_productive_faq is used
     */
    function productiveminds_is_productive_faq() {
        return false;
    }

    /**
     * Set productiveminds_is_productive_testimonial is used
     */
    function productiveminds_is_productive_testimonial() {
        return true;
    }
}
