<?php
/**
 * @package   @package productive-ecommerce
 */

if ( !function_exists('productive_theme_dashboard_items') ) {
    
    function productive_theme_dashboard_items() {
        
        $items = array();
        
        if (productiveminds_is_productive_element() ) {
            $element = array(
                'singular' => 'Homepage Element',
                'plural' => 'Homepage Elements',
                'slug' => 'pro_element',
                'taxonomy_slug' => '',
                'is_extra' => 0,
            );
            $items['element'] = $element;
        }
        
        if (productiveminds_is_productive_service() ) {
            $service = array(
                'singular' => 'Service',
                'plural' => 'Services',
                'slug' => 'pro_service',
                'taxonomy_slug' => '',
                'is_extra' => 0,
            );
            $items['service'] = $service;
        }
        
        if (productiveminds_is_productive_about() ) {
            $about = array(
                'singular' => 'About',
                'plural' => 'About us',
                'slug' => 'pro_about',
                'taxonomy_slug' => '',
                'is_extra' => 1,
            );
            $items['about'] = $about;
        }
        
        if (productiveminds_is_productive_project() ) {
            $project = array(
                'singular' => 'Project',
                'plural' => 'Project',
                'slug' => 'pro_project',
                'taxonomy_slug' => '',
                'is_extra' => 1,
            );
            $items['project'] = $project;
        }
        
        if (productiveminds_is_productive_client() ) {
            $client = array(
                'singular' => 'Client',
                'plural' => 'Clients',
                'slug' => 'pro_client',
                'taxonomy_slug' => '',
                'is_extra' => 1,
            );
            $items['client'] = $client;
        }
        
        if (productiveminds_is_productive_team() ) {
            $team = array(
                'singular' => 'Team Member',
                'plural' => 'Team Members',
                'slug' => 'pro_team',
                'taxonomy_slug' => '',
                'is_extra' => 1,
            );
            $items['team'] = $team;
        }
        
        if (productiveminds_is_productive_faq() ) {
            $faq = array(
                'singular' => 'FAQ',
                'plural' => 'FAQs',
                'slug' => 'pro_faq',
                'taxonomy_slug' => 'faq-category',
                'is_extra' => 1,
            );
            $items['faq'] = $faq;
        }
        
        if (productiveminds_is_productive_testimonial() ) {
            $testimonial = array(
                'singular' => 'Testimonial',
                'plural' => 'Testimonial',
                'slug' => 'pro_testimonial',
                'taxonomy_slug' => '',
                'is_extra' => 1,
            );
            $items['testimonial'] = $testimonial;
        }
        
        return $items;
    }
    
}
