<?php
/**
 *
 * @package productive-ecommerce
 */

function productive_ecommerce_theme_dashboard_section_content() {
    
?>
    <h2 class="get-pro"><?php echo __( 'Website Content ', 'productive-ecommerce' ); ?></h2>
    <div class="productiveminds-get-pro-container">
        <div class="get-pro-features-box">
            <div class="productiveminds-section">
            <?php
                if (productive_ecommerce_is_productive_style_active() ) {
                $productive_ecommerce_get_per_row_to_display = 4;
            ?>
                <div class="productiveminds-section-container columns-<?php echo esc_attr( $productive_ecommerce_get_per_row_to_display ); ?>">
                    <?php 
                        $dashboard_items = productive_theme_dashboard_items();
                        foreach ( $dashboard_items as $key => $dashboard_item ) {
                            $singular   = $dashboard_item['singular'];
                            $plural     = $dashboard_item['plural'];
                            $slug       = $dashboard_item['slug'];
                            $manage_dashboard_item_uri = 'edit.php?post_type=' . $slug;
                            $add_dashboard_item_uri = 'post-new.php?post_type=' . $slug;
                            $is_extra = function_exists( 'productiveminds_theme_extra_is_active' );
                    ?>
                    <div class="productiveminds-section-container-column">
                        <div class="productiveminds-section-container-column-content">
                            <div class="productiveminds-section-container-column-content-body">
                                <div class="the_content">
                                    <div class="the_title">
                                        <?php echo esc_html( $plural ); ?>
                                    </div>
                                    <div class="the_content_link">
                                        <?php if ( !$dashboard_item['is_extra'] || ( $dashboard_item['is_extra'] && $is_extra ) ) { ?>
                                            <a aria-label="<?php _e('Manage ', 'productive-ecommerce') .  esc_attr( $plural ); ?>" href="<?php echo esc_url( $manage_dashboard_item_uri ); ?>">
                                                <?php _e('Manage', 'productive-ecommerce'); ?>
                                            </a>
                                        <?php } else { ?>
                                        <a style="text-decoration: none !important" target="_blank" aria-label="<?php _e('Manage ', 'productive-ecommerce') .  esc_attr( $plural ); ?>" href="<?php echo PRODUCTIVE_ECOMMERCE_THEME_FEATURES_OR_BUY_URL; ?>#features">
                                            <?php _e('Pro feature ', 'productive-ecommerce'); ?>
                                        </a>
                                        <?php } ?>
                                    </div>
                                    <div class="the_content_link">
                                        <?php if ( !$dashboard_item['is_extra'] || ( $dashboard_item['is_extra'] && $is_extra ) ) { ?>
                                        <a aria-label="<?php echo esc_attr('Add New ', 'productive-ecommerce') . esc_html( $singular ); ?>" href="<?php echo esc_url( $add_dashboard_item_uri ); ?>">
                                            <?php _e('Add New ', 'productive-ecommerce'); ?>
                                        </a>
                                        <?php } else { ?>
                                        <a style="text-decoration: none !important" target="_blank" aria-label="<?php _e('Upgrade ', 'productive-ecommerce') .  esc_attr( $plural ); ?>" href="<?php echo PRODUCTIVE_ECOMMERCE_THEME_FEATURES_OR_BUY_URL; ?>">
                                            <?php _e('Upgrade', 'productive-ecommerce'); ?>
                                        </a>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php } ?>
                    <div class="clear_min"></div>
                </div>
                <?php } else { ?>
                    <div class="flex-content-100">
                        <div class="get-pro-features-box-list">
                            <ul class="get-pro-features-box-list">
                                <li><?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_TITLE; ?> <?php _e( ' is a required plugin. But, it is not activated yet.', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'The plugin will allow you to import or create Homepage content, About us page content, among others.', 'productive-ecommerce' ); ?></li>
                            </ul>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
<?php
}

function productive_ecommerce_theme_dashboard_section_customizers() {
    ?>
    <h2 class="get-pro"><?php echo __( 'WordPress Customizers', 'productive-ecommerce' ); ?></h2>
    <div class="productiveminds-get-pro-container">
    <div class="get-pro-features-box">
        <div class="flex-content-container">
            <div class="flex-content-100">
                <div class="get-pro-features-box-list">
                    <ul class="get-pro-features-box-list">
                        <li><?php _e( 'Customize your website, go to Appearance => Customize', 'productive-ecommerce' ) . PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME; ?></li>
                        <li>
                            <?php _e( 'Available Customizer settings include:', 'productive-ecommerce' ); ?>
                            <ol class="get-pro-features-box-list">
                                <li><?php _e( 'Homepage Banner Settings (including the image and CTA buttons).', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Website Layout Settings (present your website in single column, two columns or three).', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Website Header Settings.', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Website Footer Settings.', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Blog Setting.', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Newsletter Layout Settings', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'WooCommerce Customizers, among others.', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Website Typography - change Fonts, colours, styles (Pro only)', 'productive-ecommerce' ); ?></li>
                            </ol>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="clear_min"></div>
</div>
<?php
}


function productive_ecommerce_theme_dashboard_section_plugin_forms() {
    ?>
    <h2 class="get-pro"><?php echo __( 'Free Contact and Newsletter Forms Plugin: ', 'productive-ecommerce' ) . PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_TITLE; ?></h2>
    <div class="productiveminds-get-pro-container">
    <div class="get-pro-features-box">
        <div class="flex-content-container">
            <div class="flex-content-100">
                <div class="get-pro-features-box-list">
                    <ul class="get-pro-features-box-list">
                        <li><?php _e( 'Install and activate the free plugin to add contact forms and newsletter opt-in forms to your website.', 'productive-ecommerce' ); ?></li>
                        <li>
                            <?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_TITLE; ?>
                            <?php _e( ' empowers your theme to do the following:', 'productive-ecommerce' ); ?>
                            <ol class="get-pro-features-box-list">
                                <li><?php _e( 'Add Contact forms and newsletter opt-in forms with ShortCodes to Pages or Posts', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Add Contact forms and newsletter opt-in forms with Widgets to any Widget area on your website.', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Decide how you collect form submissions and subscriptions. Save to database and/or sent to email inbox. ', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Create fully functional Contact us pages with few clicks.', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Expert your email list.', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Add Social Media buttons to your website using Widgets (Pro only).', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Add Contact us button and Newsletter Subscription buttons to your website Widget areas (Pro only).', 'productive-ecommerce' ); ?></li>
                            </ol>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="clear_min"></div>
</div>
<?php
}



function productive_ecommerce_theme_dashboard_section_plugin_commerce() {
    ?>
    <h2 class="get-pro"><?php echo __( 'Free eCommerce Plugin: ', 'productive-ecommerce' ) . PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_TITLE; ?></h2>
    <div class="productiveminds-get-pro-container">
    <div class="get-pro-features-box">
        <div class="flex-content-container">
            <div class="flex-content-100">
                <div class="get-pro-features-box-list">
                    <ul class="get-pro-features-box-list">
                        <li><?php _e( 'Install and activate the free plugin to add Wishlist and Compare to your website.', 'productive-ecommerce' ); ?></li>
                        <li>
                            <?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_TITLE; ?>
                            <?php _e( ' empowers your theme to do the following:', 'productive-ecommerce' ); ?>
                            <ol class="get-pro-features-box-list">
                                <li><?php _e( 'Allow customers to Wishlist products', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Allow customers to share Wishlists on social media, WhatsApp, and email', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Allow customers to compare products', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Allow customers to quickly view products, while remaining on catalog and shop pages (Pro only).', 'productive-ecommerce' ); ?></li>
                            </ol>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="clear_min"></div>
</div>
<?php
}


function productive_ecommerce_theme_dashboard_section_about() {
    ?>
    <h2 class="get-pro"><?php //echo __( 'To do', 'productive-ecommerce' ); ?></h2>
    <div class="productiveminds-get-pro-container">
    <div class="get-pro-features-box">
        <div class="flex-content-container">
            <div class="flex-content-100">
                
            </div>
        </div>
    </div>
    <div class="clear_min"></div>
    </div>
<?php
}

