<?php
/**
 *
 * @package    productive-ecommerce
 */

/** TGM Library */
require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/standard/includes/tgm.php';

require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/standard/options/theme-settings.php';


/**
 * Method productive_ecommerce_scripts_inline.
 */
function productive_ecommerce_scripts_inline() {
    if ( productive_ecommerce_is_productive_style_active() ) {
        $custom_css = productive_ecommerce_apply_custom_css();
        wp_add_inline_style('productive_style_styles_fonts', $custom_css);
    } else if ( !is_child_theme() ) {
        $custom_css = productive_ecommerce_apply_custom_css();
        wp_add_inline_style('productive_parent_theme_main_css_style', $custom_css);
    } else {
        $custom_css = productive_ecommerce_apply_custom_css(' !important');
        wp_add_inline_style('productive_child_theme_css_style', $custom_css);
    }
}
// Default Forms plugin         == 10
// Extra Forms plugin           == 20
// Parent                       == 40
// Child                        == 50
// Default Style plugin    == 60
// Theme Customizers            == 70
add_action( 'wp_enqueue_scripts', 'productive_ecommerce_scripts_inline', 70 );

/**
 * Method productive_ecommerce_set_content_width
 * Sets the content width in pixels
 */
function productive_ecommerce_set_content_width() {
    if ( ! isset( $content_width ) ) {
        $content_width = PRODUCTIVE_ECOMMERCE_THEME_CONTENT_DEFAULT_WIDTH;
    }
    if ( ! isset( $GLOBALS['content_width'] ) ) {
        $GLOBALS['content_width'] = apply_filters( 'productive_ecommerce_set_content_width', $content_width );
    }
}
add_action( 'after_setup_theme', 'productive_ecommerce_set_content_width', 0 );
