<?php
/**
 * Header page.
 *
 * @package    productive-ecommerce
 */

?>

<?php 
    wp_body_open();
    productive_ecommerce_body_open();
    
    $productiveminds_is_wc_activated = productive_ecommerce_is_woocommerce_activated();
    $is_productive_commerce = productive_ecommerce_is_productive_commerce_active();
    
    $productiveminds_customiser_show_search_icon    = productive_ecommerce_enable_header_search();
    $productiveminds_customiser_show_account_icon   = productive_ecommerce_enable_header_account() && $productiveminds_is_wc_activated;
    $productiveminds_customiser_show_cart_icon      = productive_ecommerce_enable_header_cart() && $productiveminds_is_wc_activated;
    // WIP
    $productiveminds_customiser_show_wishlist_icon  = productive_ecommerce_enable_header_wishlist() && $is_productive_commerce && $productiveminds_is_wc_activated;
    $productiveminds_customiser_show_compare_icon   = productive_ecommerce_enable_header_compare() && $is_productive_commerce && $productiveminds_is_wc_activated;
    $productiveminds_customiser_show_currency_icon  = false;//productive_ecommerce_enable_switch_currency() && $is_productive_commerce && $productiveminds_is_wc_activated;
    $productiveminds_customiser_show_language_icon  = false;//productive_ecommerce_enable_switch_language() && $is_productive_commerce && $productiveminds_is_wc_activated;
    
    $productiveminds_site_container_no_logo = '';
    if ( !has_custom_logo() ) {
        $productiveminds_site_container_no_logo = 'site-container-no-logo';
    }
    
    if ( $productiveminds_is_wc_activated ) {
        $productiveminds_commerce_pages = array(
            'cart' => wc_get_page_id( 'cart' ),
            'myaccount' => wc_get_page_id( 'myaccount' ),
        );
        
        if ( $is_productive_commerce ) {
            $productiveminds_commerce_pages['wishlist'] = productive_commerce_wishlist_list_of_wishlists_page_url();
            $productiveminds_commerce_pages['compare'] = productive_commerce_compare_list_of_compares_page_url();
        }
    } else {
        $productiveminds_commerce_pages = array(
            'cart' => '#',
            'myaccount' => '#',
            'wishlist' => '#',
            'compare' => '#',
            'currency' => '#',
            'language' => '#',
        );
    }
    
    $productiveminds_header_icons = array(
        // grouped by colour
        'search' => '<i class="fa fa-search productive_style_button_bg_color font-size-twenty-one"></i>',
        'close' => '<i class="fa fa-remove productive_style_button_font_color font-size-twenty-one"></i>',
        
        // grouped by colour
        'compare' => '<i class="fa fa-exchange productive_style_commerce_buttons_header_bg_color font-size-twenty"></i>',
        'wishlist-o' => '<i class="fa fa-heart-o productive_style_commerce_buttons_header_bg_color font-size-twenty"></i>',
        'shopping-bag' => '<i class="fa fa-shopping-bag productive_style_commerce_buttons_header_bg_color font-size-twenty"></i>',
        'user-circle-o' => '<i class="fa fa-user-circle-o productive_style_commerce_buttons_header_bg_color font-size-twenty"></i>',
        
        // Mobile icons
        'navicon_mobile' => '<i class="fa fa-navicon productive_style_button_bg_color font-size-twenty-one"></i>',
        'compare_mobile' => '<i class="fa fa-exchange productive_style_commerce_buttons_header_bg_color font-size-twenty-one"></i>',
        'wishlist-o_mobile' => '<i class="fa fa-heart-o productive_style_commerce_buttons_header_bg_color font-size-twenty-one"></i>',
        'shopping-bag_mobile' => '<i class="fa fa-shopping-bag productive_style_commerce_buttons_header_bg_color font-size-twenty-one"></i>',
        'user-circle-o_mobile' => '<i class="fa fa-user-circle-o productive_style_commerce_buttons_header_bg_color font-size-twenty-one"></i>',
    ); 
?>
    
<header class="site-header">

    <?php if ( is_active_sidebar( 'header_callout' ) ) { ?>
        <div class="site-container header-callout">
            <?php do_action( 'display_header_callout', 'site-header-callout ' ); ?>
            <button aria-label="<?php esc_attr_e('Close Notification Banner', 'productive-ecommerce'); ?>" class="container-close-button right">
                <?php echo '' . $productiveminds_header_icons['close']; ?>
                <span class="screen-reader-text"><?php esc_html_e('Close Notification Banner', 'productive-ecommerce'); ?></span>
            </button>
        </div>
    <?php } ?>

    <div class="minicart-display-container"></div>

    <div class="site-container <?php echo esc_attr( $productiveminds_site_container_no_logo );?>">
        <div class="site-header-logo">
            <div class="site-header-logo-left">
                <?php if ( !has_custom_logo() ) { ?>
                <div class="site-header-logo-text-name">
                     <a class="logo" href="<?php echo esc_url( home_url() ); ?>" >
                             <?php bloginfo( 'name' ); ?>
                     </a>
                </div>
                <div class="site-header-logo-text-desc">
                     <a class="logo" href="<?php echo esc_url( home_url() ); ?>" >
                             <?php bloginfo( 'description' ); ?>
                     </a>
                </div>
                <?php } else { ?>
                    <?php productive_ecommerce_the_custom_logo(); ?>
                <?php } ?>
           </div>
            <div class="site-header-logo-right"> 
                 <span class="show_in_small_screen_only header-mini-items-mobile">
                     <?php if ( $productiveminds_customiser_show_wishlist_icon ) { ?>
                     <a title="<?php echo esc_attr__( 'Wishlist', 'productive-ecommerce'); ?>"  class="righted open-wishlist-button-icon" href="<?php echo esc_url( $productiveminds_commerce_pages['wishlist'] ); ?>">
                        <?php echo '' . $productiveminds_header_icons['wishlist-o_mobile']; ?>
                         <span class="wishlist-count productive_style_commerce_buttons_header_bg_color">0</span>
                    </a>
                     <?php } ?>
                     <?php if ( $productiveminds_customiser_show_compare_icon ) { ?>
                         <a title="<?php echo esc_attr__( 'Compare', 'productive-ecommerce'); ?>"  class="righted open-compare-button-icon" href="<?php echo esc_url( $productiveminds_commerce_pages['compare'] ); ?>">
                            <?php echo '' . $productiveminds_header_icons['compare_mobile']; ?>
                             <span class="compare-count productive_style_commerce_buttons_header_bg_color">0</span>
                         </a>
                     <?php } ?>
                     <?php if ( $productiveminds_customiser_show_cart_icon ) { ?>
                         <a title="<?php echo esc_attr__( 'Shopping Basket', 'productive-ecommerce'); ?>"  class="righted open-minicart-button-icon" href="<?php echo esc_url(get_permalink( $productiveminds_commerce_pages['cart'] ) ); ?>">
                            <?php echo '' . $productiveminds_header_icons['shopping-bag_mobile']; ?>
                            <span class="minibasket-count"><?php echo WC()->cart->get_cart_contents_count(); ?></span>
                         </a>
                     <?php } ?>
                     <?php if ( $productiveminds_customiser_show_account_icon ) { ?>
                        <a title="<?php echo esc_attr__( 'Account', 'productive-ecommerce'); ?>" class="righted ten_right_padding" href="<?php echo esc_url(get_permalink( $productiveminds_commerce_pages['myaccount'] ) ); ?>">
                            <?php echo '' . $productiveminds_header_icons['user-circle-o_mobile']; ?>
                        </a>
                      <?php } ?>
                 </span>

                 <!-- nav icon -->
                 <button aria-label="<?php esc_attr_e('Menu', 'productive-ecommerce'); ?>" class="site-header-menu-icon show_in_small_screen_only">
                         <?php echo '' . $productiveminds_header_icons['navicon_mobile']; ?>
                         <span class="screen-reader-text"><?php esc_html_e('Menu', 'productive-ecommerce'); ?></span>
                 </button>
                 <div class="clear_min"></div>
            </div>
            <div class="clear_min"></div>
        </div>

        <div class="site-header-main">
            <div class="flex-content-container">
                <div class="flex-content-70 search-box">
                    <?php
                        if ( $productiveminds_customiser_show_search_icon ) {
                            get_search_form(
                                array( 
                                    'arial_label' => __( 'Search...', 'productive-ecommerce' ), 
                                )
                           );
                        }
                    ?>
               </div>
                <div class="flex-content-30 header-mini-items">
                    <?php if ( $productiveminds_customiser_show_wishlist_icon ) { ?>
                    <a title="<?php echo esc_attr__( 'Wishlist', 'productive-ecommerce'); ?>" class="righted open-wishlist-button-icon" href="<?php echo esc_url( $productiveminds_commerce_pages['wishlist'] ); ?>">
                        <?php echo '' . $productiveminds_header_icons['wishlist-o']; ?>
                        <span class="wishlist-count productive_style_commerce_buttons_header_bg_color">0</span>
                    </a>
                    <?php } ?>
                    <?php if ( $productiveminds_customiser_show_compare_icon ) { ?>
                    <a title="<?php echo esc_attr__( 'Compare', 'productive-ecommerce'); ?>" class="righted open-compare-button-icon" href="<?php echo esc_url( $productiveminds_commerce_pages['compare'] ); ?>">
                        <?php echo '' . $productiveminds_header_icons['compare']; ?>
                        <span class="compare-count productive_style_commerce_buttons_header_bg_color">0</span>
                    </a>
                    <?php } ?>
                    <?php if ( $productiveminds_customiser_show_cart_icon ) { ?>
                    <a title="<?php echo esc_attr__( 'Shopping Basket', 'productive-ecommerce'); ?>" class="righted open-minicart-button-icon" href="<?php echo esc_url(get_permalink( $productiveminds_commerce_pages['cart'] ) ); ?>">
                        <?php echo '' . $productiveminds_header_icons['shopping-bag']; ?>
                        <span class="minibasket-count"><?php echo WC()->cart->get_cart_contents_count(); ?></span>
                    </a>
                    <?php } ?>

                    <?php if ( $productiveminds_customiser_show_account_icon ) { ?>
                        <a title="<?php echo esc_attr__( 'Account', 'productive-ecommerce'); ?>" class="righted" href="<?php echo esc_url(get_permalink( $productiveminds_commerce_pages['myaccount'] ) ); ?>">
                            <?php echo '' . $productiveminds_header_icons['user-circle-o']; ?> 
                        </a>
                    <?php } ?>
                </div>
            </div>
           <div class="clear_min"></div>
        </div>
        <div class="clear_min"></div>
        <div class="show_in_small_screen_only header-main-header-nav-container menu-nav">
             <?php do_action( 'display_productive_ecommerce_header_nav', 'site-header-nav site-header-nav-smallscreen' ); ?>
        </div>
       <div class="clear_min"></div>
   </div>

    <div class="clear_min"></div>
    
    <div class="site-container site-container-no-grid header-main-header-nav-container">
    <?php do_action( 'display_productive_ecommerce_header_nav', 'flex-content-100 site-header-nav site-header-nav-bigscreen' ); ?>
    </div>
    <div class="clear_min"></div>

</header>
    
