<?php
/**
 * Part template
 *
 * @package productive-ecommerce
 */

?>
<?php if ( ( is_home() && productive_ecommerce_homepage_blog_latest_enable() ) || ! is_home() ) { ?>
<div class="archive-items-block-container">
    <?php $blog_title = productive_ecommerce_homepage_blog_latest_section_title(); ?>
    <?php if ( is_home() && !empty($blog_title) ) { ?>
        <?php
            $large_header_class = '';
            if ( productive_ecommerce_homepage_blog_heading_style() ) {
                $large_header_class = 'large-blog-header';
            }
        ?>
    <h2 class="<?php echo esc_attr( $large_header_class ); ?> section-title blog"><?php echo esc_html( $blog_title ); ?></h2>
    <?php } ?>
    <?php
        $productive_ecommerce_get_items_per_row_to_display = productive_ecommerce_get_items_per_row_to_display();
    ?>
    <div class="productiveminds_section columns-<?php echo esc_attr( $productive_ecommerce_get_items_per_row_to_display ); ?>">
        <div class="products-grid products columns-<?php echo esc_attr( $productive_ecommerce_get_items_per_row_to_display ); ?>">
            <?php $counter = 0; ?>
            <?php while ( have_posts() && ( ( is_home() && $counter < $productive_ecommerce_get_items_per_row_to_display ) || ! is_home() ) ) : ?>

            <?php the_post(); ?>
            <article itemscope itemtype="https://schema.org/Article">
            <div class="product">
                <div class="the_search_item">

                    <div class="the_search_thumbnail">
                        <a href="<?php echo esc_url( get_permalink() ); ?>"> 
                            <?php
                            $attr = array (
                                'alt' => get_the_title(),
                            );
                            if ( has_post_thumbnail() ) { ?>
                                <span itemprop="image">
                                    <?php the_post_thumbnail( 'full', $attr ); ?>
                                </span>
                            <?php } else {
                                do_action( 'display_placeholder_image' );
                            }
                            ?>
                        </a>
                      </div>
                    <div class="blog-post-loop-brief-container">
                        <div itemprop="articleSection" class="blog-cats-container">
                        <?php
                            the_category( ',  ' );
                        ?>
                        </div>
                        <div itemprop="dateModified" class="blog-post-date">
                        <?php
                            echo get_the_modified_date();
                        ?>
                        </div>
                        <?php
                        $post_format = get_post_format();
                        if ( 'status' != $post_format && 'aside' != $post_format ) {
                          ?>
                            <div class="the_search_title">
                                <?php
                                echo '<div class="h3" itemprop="name"><a aria-label="' . esc_html( 'Read about ', 'productive-ecommerce' ) . esc_html( get_the_title() ) . '" href="' . esc_url( get_permalink() ) . '">' . esc_html( get_the_title() ) . '</a></div>';
                                ?>
                            </div>
                          <?php
                        }
                        ?>
                        <div itemprop="about" class="the_search_excerpt">
                                <?php
                                    $excerpt_word_count = productive_ecommerce_posts_excerpt_word_count();
                                    echo esc_html( wp_trim_words( get_the_excerpt(), $excerpt_word_count ) );
                                ?>
                        </div>

                        <div class="blog-post-read-more">
                        <?php
                            echo '<a itemprop="url" href="' . esc_url( get_permalink() ) . '">' . esc_html( 'Read more', 'productive-ecommerce' ) . '<span class="screen-reader-text">' . esc_html( 'Read more about ', 'productive-ecommerce' ) . esc_html( get_the_title() ) . '</span></a>';
                        ?>
                        </div>
                    </div>

                </div>
            </div>
            </article>
            <?php $counter++; ?>
            <?php endwhile; ?>
            <div class="clear_min"></div>
        </div>
        <div class="clear_min"></div>
    </div>
</div>
<?php 
}