<?php
/**
 * Part template
 *
 * @package productive-ecommerce
 */

while ( have_posts() ) { ?>
    
<?php the_post(); ?>

<article itemscope itemtype="https://schema.org/Article" <?php post_class(); ?> id="post-<?php echo esc_attr( the_ID() ); ?>">

    <?php 
    if ( has_post_thumbnail() ) {
        $thumbnail_image = productive_ecommerce_get_attachment_by_thumbnail_id( get_post_thumbnail_id(), 'full', PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE );
    ?>
    <div class="main-top-featured-content">
       <div class="main-top-featured-image" style="background-image: url(<?php echo esc_url( $thumbnail_image ); ?>)">
            <div>
                <h1 itemprop="name"><span class="main-product-title"><?php esc_html( the_title() ); ?></span></h1>
            </div>
       </div>
    </div>
    <div class="schemaorg-readable-only" itemprop="image"><?php echo esc_url( $thumbnail_image ); ?></div>
   <?php } ?>
        
    <div class="blog-post-single-metadata-container">
        
    <?php if ( !has_post_thumbnail() ) { ?>
        <h1 itemprop="name" class="theme-page-title posted"><?php esc_html( the_title() ); ?></h1>
    <?php } ?>

    <?php // post attributes. ?>
    <?php if ( is_single() && get_post_type() == 'post' ) { ?>
        <div class="blog-post-attributes">
            <?php if ( has_category() ) { ?>
            <div class="blog-post-attributes-category">
                <?php echo __( 'Posted in ', 'productive-ecommerce' ); ?>
                <span itemprop="articleSection"><?php the_category( ' | ' ); ?></span>
            </div>
            <?php } ?>

            <div class="blog-post-attributes-author">    			
                <?php echo __( 'By ', 'productive-ecommerce' ); ?> 
                <a itemprop="url" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" >
                    <span itemprop="author"><?php echo esc_html( get_the_author() ); ?></span>
                </a>
                |
                <span class="blog-post-date">	
                    <span itemprop="dateCreated"><?php esc_html( the_date() ); ?></span>
                    <?php if (get_the_date() != get_the_modified_date() ) { ?>
                        (<span><?php echo __( 'last updated on ', 'productive-ecommerce' ); ?></span> 
                        <span itemprop="dateModified"><?php esc_html(the_modified_date() ); ?></span>)
                    <?php } ?>
                </span>
            </div>
        </div> 
    <?php } ?>
    </div>
        
    <section class="blog-content-body" itemprop="articleBody">
        <?php the_content(); ?>
    </section>

    <div class="blog-post-single-metadata-container attribs">
    <?php
        $the_tags = get_the_tag_list();
        if ( ! is_wp_error( $the_tags ) ) {
                echo '<div>';
                the_tags();
                echo '</div>';
        }
        wp_link_pages();
        if ( is_single() ) {
                get_template_part( 'template-parts/prev-next' );
        }

        if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && ! post_password_required() ) {
            echo '<div itemprop="comment">';
            comments_template( '/comments.php' );
            echo '</div>';
        }
    ?>
    </div>
    <div class="schemaorg-readable-only" itemprop="url"><?php echo esc_url(the_permalink() ); ?></div>
</article>
<?php 
}