<?php
/**
 * Part template
 *
 * @package productive-ecommerce
 */

while ( have_posts() ) { ?>
        
	<?php the_post(); ?>
        
        <?php
            $notitle_css = 'notitle';
            if ( 'page' !== get_post_type() || ('page' === get_post_type() && productive_ecommerce_show_page_titles()) ) {
                $notitle_css = '';
            }
        ?>
        
        <article itemscope itemtype="https://schema.org/Article" <?php post_class(); ?> id="post-<?php echo esc_attr( the_ID() ); ?>">
	
	<?php if ( has_post_thumbnail() ) { ?>
            <?php
            $thumbnail_image = productive_ecommerce_get_attachment_by_thumbnail_id( get_post_thumbnail_id(), 'full', PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE );
            ?>
            <div class="main-top-featured-content">
               <div class="main-top-featured-image" style="background-image: url(<?php echo esc_url( $thumbnail_image ); ?>)">
                   <?php if ( empty( $notitle_css ) ) { ?>
                    <div>
                        <h1 itemprop="name"><span class="main-product-title"><?php esc_html( the_title() ); ?></span></h1>
                    </div>
                   <?php $notitle_css = ''; ?>
                   <?php } ?>
               </div>
            </div>
            <div class="schemaorg-readable-only" itemprop="image"><?php echo esc_url( $thumbnail_image ); ?></div>
        <?php } else { ?>
        <?php } ?>
        
        <section class="page-content-body <?php echo esc_attr( $notitle_css ) ?>" itemprop="articleBody">
            <?php if ( !has_post_thumbnail() && empty( $notitle_css ) ) { ?>
                <h1 itemprop="name" class="theme-page-title"><?php esc_html( the_title() ); ?></h1>
            <?php } ?>
            <?php the_content(); ?>
	</section>
	
	<?php
        $the_tags = get_the_tag_list();
	if ( ! is_wp_error( $the_tags ) ) {
		echo '<div>';
                the_tags();
		echo '</div>';
	}
	  // unlikely but, if for any reason, this is a product - hide pagination & comments for woocommerce product details.
	if ( !productive_ecommerce_is_product() && 'page' != get_post_type() ) {
            wp_link_pages();
            if ( is_single() ) {
                    get_template_part( 'template-parts/prev-next' );
            }

            if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && ! post_password_required() ) {
                echo '<div itemprop="comment">';
                comments_template( '/comments.php' );
                echo '</div>';
            }
	}
	?>
    <div class="schemaorg-readable-only" itemprop="url"><?php echo esc_url(the_permalink() ); ?></div>
    </article>
<?php 
}