<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;
?>

<?php get_header( 'shop' ); ?>

<main id="site-content" class="site-content">
	<div class="site-container index">
		<div class="flex-content-container">
		
		<?php
		$productive_ecommerce_template_layout_options = productive_ecommerce_template_layout_options();
		$main_css_class = 'flex-content-100';
		$side_css_class = 'flex-content-20';
                $column_is_set = 0;

		if ( 'two_columns_left' == $productive_ecommerce_template_layout_options ) {
                    $main_css_class = 'flex-content-70';
                    $side_css_class = 'flex-content-30';
                    $column_is_set = 1;
		} else if ( 'two_columns_right' == $productive_ecommerce_template_layout_options ) {
                    $main_css_class = 'flex-content-70';
                    $side_css_class = 'flex-content-30';
                    $column_is_set = 1;
		} else if ( 'three_columns' == $productive_ecommerce_template_layout_options ) {
                    $main_css_class = 'flex-content-60';
                    $side_css_class = 'flex-content-20';
                    $column_is_set = 1;
		}
                
                // Apply sidebar, if always show in archive is set (even if using one_column layout.
                if ( !$column_is_set && productive_ecommerce_show_sidebars_always_in_woo_archives() ) {
                    $main_css_class = 'flex-content-70';
                    $side_css_class = 'flex-content-30';
                    $productive_ecommerce_template_layout_options = 'two_columns_left';
                    $column_is_set = 1;
                }

		?>
			
			<?php
			// left sidebar.
			if ( 'two_columns_left' == $productive_ecommerce_template_layout_options || 'three_columns' == $productive_ecommerce_template_layout_options ) {
                            do_action( 'display_woocommerce_sidebar', $side_css_class . '' . PRODUCTIVE_ECOMMERCE_WOO_SIDEBAR_TEXT );
			}
			?>
			
			<!-- main content -->
			<div class="<?php echo esc_attr( $main_css_class ); ?>">
				<?php get_template_part( 'woocommerce/page-part-archive' ); ?>
			</div>
			
			<?php
			// right sidebar.
			if ( 'two_columns_right' == $productive_ecommerce_template_layout_options || 'three_columns' == $productive_ecommerce_template_layout_options ) {
                            if ( 'two_columns_right' == $productive_ecommerce_template_layout_options ) {
                                do_action( 'display_woocommerce_sidebar', $side_css_class . '' . PRODUCTIVE_ECOMMERCE_WOO_SIDEBAR_TEXT );
                            } else {
                                do_action( 'display_sidebar_right', $side_css_class );
                            }
			}
			?>
			
		</div>
	</div>
</main>

<?php 
get_footer( 'shop ' );